/* new-messages-monitor.c generated by valac 0.17.4, the Vala compiler
 * generated from new-messages-monitor.vala, do not modify */

/* Copyright 2012 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution. 
 */
/* NewMessagesMonitor is a central data store for new message information that the various*/
/* notification methods (libnotify, libindicate, libunity, etc.) can monitor to do their thing.*/
/* Subclasses should trap the "notify::count" signal and use that to perform whatever magic*/
/* they need for their implementation, or trap "new-messages" to receive notifications of the emails*/
/* themselves as they're added.  In the latter case, subscribers should add required Email.Field*/
/* flags to the object with add_required_fields().*/

#include <glib.h>
#include <glib-object.h>
#include "geary-static.h"
#include <gio/gio.h>
#include <gee.h>


#define TYPE_NEW_MESSAGES_MONITOR (new_messages_monitor_get_type ())
#define NEW_MESSAGES_MONITOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_NEW_MESSAGES_MONITOR, NewMessagesMonitor))
#define NEW_MESSAGES_MONITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_NEW_MESSAGES_MONITOR, NewMessagesMonitorClass))
#define IS_NEW_MESSAGES_MONITOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_NEW_MESSAGES_MONITOR))
#define IS_NEW_MESSAGES_MONITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_NEW_MESSAGES_MONITOR))
#define NEW_MESSAGES_MONITOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_NEW_MESSAGES_MONITOR, NewMessagesMonitorClass))

typedef struct _NewMessagesMonitor NewMessagesMonitor;
typedef struct _NewMessagesMonitorClass NewMessagesMonitorClass;
typedef struct _NewMessagesMonitorPrivate NewMessagesMonitorPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _NewMessagesMonitorDoProcessNewEmailData NewMessagesMonitorDoProcessNewEmailData;
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NewMessagesMonitor {
	GObject parent_instance;
	NewMessagesMonitorPrivate * priv;
};

struct _NewMessagesMonitorClass {
	GObjectClass parent_class;
};

struct _NewMessagesMonitorPrivate {
	GearyFolder* _folder;
	gint _count;
	GearyEmail* _last_new_message;
	GearyEmailField _required_fields;
	GCancellable* cancellable;
	GeeHashSet* new_ids;
};

struct _NewMessagesMonitorDoProcessNewEmailData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NewMessagesMonitor* self;
	GeeCollection* email_ids;
	GearyFolder* _tmp0_;
	GeeCollection* _tmp1_;
	GearyEmailField _tmp2_;
	GCancellable* _tmp3_;
	GeeList* _tmp4_;
	GeeList* list;
	gboolean _tmp5_;
	GeeList* _tmp6_;
	GeeList* _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	gboolean _tmp10_;
	GeeCollection* _tmp11_;
	gint _tmp12_;
	gint _tmp13_;
	GeeList* _tmp14_;
	GeeList* _tmp15_;
	gint _tmp16_;
	gint _tmp17_;
	gint _tmp18_;
	GError* err;
	GError* _tmp19_;
	const gchar* _tmp20_;
	GError * _inner_error_;
};


static gpointer new_messages_monitor_parent_class = NULL;

GType new_messages_monitor_get_type (void) G_GNUC_CONST;
#define NEW_MESSAGES_MONITOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_NEW_MESSAGES_MONITOR, NewMessagesMonitorPrivate))
enum  {
	NEW_MESSAGES_MONITOR_DUMMY_PROPERTY,
	NEW_MESSAGES_MONITOR_FOLDER,
	NEW_MESSAGES_MONITOR_COUNT,
	NEW_MESSAGES_MONITOR_LAST_NEW_MESSAGE,
	NEW_MESSAGES_MONITOR_REQUIRED_FIELDS
};
GearyFolder* new_messages_monitor_get_folder (NewMessagesMonitor* self);
static void new_messages_monitor_on_email_locally_appended (NewMessagesMonitor* self, GeeCollection* email_ids);
static void _new_messages_monitor_on_email_locally_appended_geary_folder_email_locally_appended (GearyFolder* _sender, GeeCollection* ids, gpointer self);
static void new_messages_monitor_on_email_flags_changed (NewMessagesMonitor* self, GeeMap* ids);
static void _new_messages_monitor_on_email_flags_changed_geary_folder_email_flags_changed (GearyFolder* _sender, GeeMap* map, gpointer self);
static void new_messages_monitor_on_email_removed (NewMessagesMonitor* self, GeeCollection* ids);
static void _new_messages_monitor_on_email_removed_geary_folder_email_removed (GearyFolder* _sender, GeeCollection* ids, gpointer self);
static guint _geary_hashable_hash_func_ghash_func (gconstpointer key);
static gboolean _geary_equalable_equal_func_gequal_func (gconstpointer a, gconstpointer b);
NewMessagesMonitor* new_messages_monitor_new (GearyFolder* folder, GCancellable* cancellable);
NewMessagesMonitor* new_messages_monitor_construct (GType object_type, GearyFolder* folder, GCancellable* cancellable);
static void new_messages_monitor_set_folder (NewMessagesMonitor* self, GearyFolder* value);
void new_messages_monitor_add_required_fields (NewMessagesMonitor* self, GearyEmailField fields);
GearyEmailField new_messages_monitor_get_required_fields (NewMessagesMonitor* self);
static void new_messages_monitor_set_required_fields (NewMessagesMonitor* self, GearyEmailField value);
static void new_messages_monitor_do_process_new_email (NewMessagesMonitor* self, GeeCollection* email_ids, GAsyncReadyCallback _callback_, gpointer _user_data_);
static void new_messages_monitor_do_process_new_email_finish (NewMessagesMonitor* self, GAsyncResult* _res_);
static void new_messages_monitor_retire_new_messages (NewMessagesMonitor* self, GeeCollection* email_ids);
static void new_messages_monitor_do_process_new_email_data_free (gpointer _data);
static gboolean new_messages_monitor_do_process_new_email_co (NewMessagesMonitorDoProcessNewEmailData* _data_);
static void new_messages_monitor_do_process_new_email_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void new_messages_monitor_new_messages (NewMessagesMonitor* self, GeeCollection* emails);
gint new_messages_monitor_get_count (NewMessagesMonitor* self);
GearyEmail* new_messages_monitor_get_last_new_message (NewMessagesMonitor* self);
static void new_messages_monitor_set_last_new_message (NewMessagesMonitor* self, GearyEmail* value);
static void new_messages_monitor_update_count (NewMessagesMonitor* self, gboolean arrived);
void new_messages_monitor_clear_new_messages (NewMessagesMonitor* self);
static void new_messages_monitor_set_count (NewMessagesMonitor* self, gint value);
static void new_messages_monitor_finalize (GObject* obj);
static void _vala_new_messages_monitor_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_new_messages_monitor_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void _new_messages_monitor_on_email_locally_appended_geary_folder_email_locally_appended (GearyFolder* _sender, GeeCollection* ids, gpointer self) {
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_on_email_locally_appended (self, ids);
#line 138 "new-messages-monitor.c"
}


static void _new_messages_monitor_on_email_flags_changed_geary_folder_email_flags_changed (GearyFolder* _sender, GeeMap* map, gpointer self) {
#line 40 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_on_email_flags_changed (self, map);
#line 145 "new-messages-monitor.c"
}


static void _new_messages_monitor_on_email_removed_geary_folder_email_removed (GearyFolder* _sender, GeeCollection* ids, gpointer self) {
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_on_email_removed (self, ids);
#line 152 "new-messages-monitor.c"
}


static guint _geary_hashable_hash_func_ghash_func (gconstpointer key) {
	guint result;
	result = geary_hashable_hash_func (key);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return result;
#line 161 "new-messages-monitor.c"
}


static gboolean _geary_equalable_equal_func_gequal_func (gconstpointer a, gconstpointer b) {
	gboolean result;
	result = geary_equalable_equal_func (a, b);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return result;
#line 170 "new-messages-monitor.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return self ? g_object_ref (self) : NULL;
#line 177 "new-messages-monitor.c"
}


NewMessagesMonitor* new_messages_monitor_construct (GType object_type, GearyFolder* folder, GCancellable* cancellable) {
	NewMessagesMonitor * self = NULL;
	GearyFolder* _tmp0_;
	GCancellable* _tmp1_;
	GCancellable* _tmp2_;
	GearyFolder* _tmp3_;
	GearyFolder* _tmp4_;
	GearyFolder* _tmp5_;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_val_if_fail (GEARY_IS_FOLDER (folder), NULL);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_val_if_fail ((cancellable == NULL) || G_IS_CANCELLABLE (cancellable), NULL);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self = (NewMessagesMonitor*) g_object_new (object_type, NULL);
#line 30 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = folder;
#line 30 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_set_folder (self, _tmp0_);
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp1_ = cancellable;
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (self->priv->cancellable);
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->cancellable = _tmp2_;
#line 33 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp3_ = folder;
#line 33 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_connect_object (_tmp3_, "email-locally-appended", (GCallback) _new_messages_monitor_on_email_locally_appended_geary_folder_email_locally_appended, self, 0);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp4_ = folder;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_connect_object (_tmp4_, "email-flags-changed", (GCallback) _new_messages_monitor_on_email_flags_changed_geary_folder_email_flags_changed, self, 0);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp5_ = folder;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_connect_object (_tmp5_, "email-removed", (GCallback) _new_messages_monitor_on_email_removed_geary_folder_email_removed, self, 0);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return self;
#line 221 "new-messages-monitor.c"
}


NewMessagesMonitor* new_messages_monitor_new (GearyFolder* folder, GCancellable* cancellable) {
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return new_messages_monitor_construct (TYPE_NEW_MESSAGES_MONITOR, folder, cancellable);
#line 228 "new-messages-monitor.c"
}


void new_messages_monitor_add_required_fields (NewMessagesMonitor* self, GearyEmailField fields) {
	GearyEmailField _tmp0_;
	GearyEmailField _tmp1_;
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = self->priv->_required_fields;
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp1_ = fields;
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_set_required_fields (self, _tmp0_ | _tmp1_);
#line 243 "new-messages-monitor.c"
}


static void new_messages_monitor_on_email_locally_appended (NewMessagesMonitor* self, GeeCollection* email_ids) {
	GeeCollection* _tmp0_;
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (GEE_IS_COLLECTION (email_ids));
#line 49 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = email_ids;
#line 49 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_do_process_new_email (self, _tmp0_, NULL, NULL);
#line 257 "new-messages-monitor.c"
}


static void new_messages_monitor_on_email_flags_changed (NewMessagesMonitor* self, GeeMap* ids) {
	GeeMap* _tmp0_;
	GeeSet* _tmp1_;
	GeeSet* _tmp2_;
	GeeSet* _tmp3_;
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (GEE_IS_MAP (ids));
#line 53 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = ids;
#line 53 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp1_ = gee_map_get_keys (_tmp0_);
#line 53 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp2_ = _tmp1_;
#line 53 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp3_ = _tmp2_;
#line 53 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_retire_new_messages (self, G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, GEE_TYPE_COLLECTION, GeeCollection));
#line 53 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (_tmp3_);
#line 282 "new-messages-monitor.c"
}


static void new_messages_monitor_on_email_removed (NewMessagesMonitor* self, GeeCollection* ids) {
	GeeCollection* _tmp0_;
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (GEE_IS_COLLECTION (ids));
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = ids;
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_retire_new_messages (self, _tmp0_);
#line 296 "new-messages-monitor.c"
}


static void new_messages_monitor_do_process_new_email_data_free (gpointer _data) {
	NewMessagesMonitorDoProcessNewEmailData* _data_;
	_data_ = _data;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (_data_->email_ids);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (_data_->self);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_slice_free (NewMessagesMonitorDoProcessNewEmailData, _data_);
#line 309 "new-messages-monitor.c"
}


static void new_messages_monitor_do_process_new_email (NewMessagesMonitor* self, GeeCollection* email_ids, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NewMessagesMonitorDoProcessNewEmailData* _data_;
	NewMessagesMonitor* _tmp0_;
	GeeCollection* _tmp1_;
	GeeCollection* _tmp2_;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_data_ = g_slice_new0 (NewMessagesMonitorDoProcessNewEmailData);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, new_messages_monitor_do_process_new_email);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, new_messages_monitor_do_process_new_email_data_free);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_data_->self = _tmp0_;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp1_ = email_ids;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_data_->email_ids = _tmp2_;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_do_process_new_email_co (_data_);
#line 336 "new-messages-monitor.c"
}


static void new_messages_monitor_do_process_new_email_finish (NewMessagesMonitor* self, GAsyncResult* _res_) {
	NewMessagesMonitorDoProcessNewEmailData* _data_;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 344 "new-messages-monitor.c"
}


static void new_messages_monitor_do_process_new_email_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NewMessagesMonitorDoProcessNewEmailData* _data_;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_data_ = _user_data_;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_data_->_source_object_ = source_object;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_data_->_res_ = _res_;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_do_process_new_email_co (_data_);
#line 358 "new-messages-monitor.c"
}


static gboolean new_messages_monitor_do_process_new_email_co (NewMessagesMonitorDoProcessNewEmailData* _data_) {
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	switch (_data_->_state_) {
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case 0:
#line 367 "new-messages-monitor.c"
		goto _state_0;
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case 1:
#line 371 "new-messages-monitor.c"
		goto _state_1;
		default:
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_assert_not_reached ();
#line 376 "new-messages-monitor.c"
	}
	_state_0:
	{
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp0_ = _data_->self->priv->_folder;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp1_ = _data_->email_ids;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp2_ = _data_->self->priv->_required_fields;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp3_ = _data_->self->priv->cancellable;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_state_ = 1;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		geary_folder_list_email_by_sparse_id_async (_data_->_tmp0_, _data_->_tmp1_, _data_->_tmp2_, GEARY_FOLDER_LIST_FLAGS_NONE, _data_->_tmp3_, new_messages_monitor_do_process_new_email_ready, _data_);
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		return FALSE;
#line 394 "new-messages-monitor.c"
		_state_1:
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp4_ = NULL;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp4_ = geary_folder_list_email_by_sparse_id_finish (_data_->_tmp0_, _data_->_res_, &_data_->_inner_error_);
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->list = _data_->_tmp4_;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		if (_data_->_inner_error_ != NULL) {
#line 404 "new-messages-monitor.c"
			goto __catch22_g_error;
		}
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp6_ = _data_->list;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		if (_data_->_tmp6_ == NULL) {
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_data_->_tmp5_ = TRUE;
#line 413 "new-messages-monitor.c"
		} else {
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_data_->_tmp7_ = _data_->list;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_data_->_tmp8_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp7_, GEE_TYPE_COLLECTION, GeeCollection));
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_data_->_tmp9_ = _data_->_tmp8_;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_data_->_tmp5_ = _data_->_tmp9_ == 0;
#line 423 "new-messages-monitor.c"
		}
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp10_ = _data_->_tmp5_;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		if (_data_->_tmp10_) {
#line 65 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_data_->_tmp11_ = _data_->email_ids;
#line 65 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_data_->_tmp12_ = gee_collection_get_size (_data_->_tmp11_);
#line 65 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_data_->_tmp13_ = _data_->_tmp12_;
#line 65 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			g_debug ("new-messages-monitor.vala:65: Warning: %d new emails, but none could b" \
"e listed", _data_->_tmp13_);
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_g_object_unref0 (_data_->list);
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (_data_->_state_ == 0) {
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 443 "new-messages-monitor.c"
			} else {
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				g_simple_async_result_complete (_data_->_async_result);
#line 447 "new-messages-monitor.c"
			}
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			g_object_unref (_data_->_async_result);
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			return FALSE;
#line 453 "new-messages-monitor.c"
		}
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp14_ = _data_->list;
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		new_messages_monitor_new_messages (_data_->self, G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp14_, GEE_TYPE_COLLECTION, GeeCollection));
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp15_ = _data_->list;
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp16_ = gee_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp15_, GEE_TYPE_COLLECTION, GeeCollection));
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp17_ = _data_->_tmp16_;
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp18_ = _data_->self->priv->_count;
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_debug ("new-messages-monitor.vala:72: do_process_new_email: %d messages listed" \
", %d unread", _data_->_tmp17_, _data_->_tmp18_);
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_g_object_unref0 (_data_->list);
#line 471 "new-messages-monitor.c"
	}
	goto __finally22;
	__catch22_g_error:
	{
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->err = _data_->_inner_error_;
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_inner_error_ = NULL;
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp19_ = _data_->err;
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_data_->_tmp20_ = _data_->_tmp19_->message;
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_debug ("new-messages-monitor.vala:74: Unable to notify of new email: %s", _data_->_tmp20_);
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_g_error_free0 (_data_->err);
#line 488 "new-messages-monitor.c"
	}
	__finally22:
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	if (_data_->_inner_error_ != NULL) {
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_clear_error (&_data_->_inner_error_);
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		return FALSE;
#line 499 "new-messages-monitor.c"
	}
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	if (_data_->_state_ == 0) {
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 505 "new-messages-monitor.c"
	} else {
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 509 "new-messages-monitor.c"
	}
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_unref (_data_->_async_result);
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return FALSE;
#line 515 "new-messages-monitor.c"
}


static void new_messages_monitor_new_messages (NewMessagesMonitor* self, GeeCollection* emails) {
#line 78 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 78 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (GEE_IS_COLLECTION (emails));
#line 524 "new-messages-monitor.c"
	{
		GeeCollection* _tmp0_;
		GeeIterator* _tmp1_ = NULL;
		GeeIterator* _email_it;
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_tmp0_ = emails;
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_tmp1_ = gee_iterable_iterator (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GEE_TYPE_ITERABLE, GeeIterable));
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_email_it = _tmp1_;
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		while (TRUE) {
#line 537 "new-messages-monitor.c"
			GeeIterator* _tmp2_;
			gboolean _tmp3_ = FALSE;
			GeeIterator* _tmp4_;
			gpointer _tmp5_ = NULL;
			GearyEmail* email;
			GearyEmail* _tmp6_;
			GearyEmailField _tmp7_;
			GearyEmailField _tmp8_;
			GearyEmailField _tmp9_;
			gboolean _tmp10_ = FALSE;
			GeeHashSet* _tmp20_;
			GearyEmail* _tmp21_;
			GearyEmailIdentifier* _tmp22_;
			GearyEmailIdentifier* _tmp23_;
			gboolean _tmp24_ = FALSE;
			GearyEmail* _tmp25_;
			GearyEmailFlags* _tmp26_;
			GearyEmailFlags* _tmp27_;
			gboolean _tmp28_ = FALSE;
			gboolean _tmp29_ = FALSE;
			GearyEmail* _tmp30_;
			gboolean _tmp37_;
			GeeHashSet* _tmp39_;
			GearyEmail* _tmp40_;
			GearyEmailIdentifier* _tmp41_;
			GearyEmailIdentifier* _tmp42_;
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp2_ = _email_it;
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp3_ = gee_iterator_next (_tmp2_);
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (!_tmp3_) {
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				break;
#line 572 "new-messages-monitor.c"
			}
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp4_ = _email_it;
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			email = (GearyEmail*) _tmp5_;
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp6_ = email;
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp7_ = geary_email_get_fields (_tmp6_);
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp8_ = _tmp7_;
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp9_ = self->priv->_required_fields;
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp10_ = geary_email_field_fulfills (_tmp8_, _tmp9_);
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (!_tmp10_) {
#line 592 "new-messages-monitor.c"
				GearyEmail* _tmp11_;
				GearyEmailIdentifier* _tmp12_;
				GearyEmailIdentifier* _tmp13_;
				gchar* _tmp14_ = NULL;
				gchar* _tmp15_;
				GearyEmail* _tmp16_;
				GearyEmailField _tmp17_;
				GearyEmailField _tmp18_;
				GearyEmailField _tmp19_;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp11_ = email;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp12_ = geary_email_get_id (_tmp11_);
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp13_ = _tmp12_;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp14_ = geary_email_identifier_to_string (_tmp13_);
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp15_ = _tmp14_;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp16_ = email;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp17_ = geary_email_get_fields (_tmp16_);
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp18_ = _tmp17_;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp19_ = self->priv->_required_fields;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				g_debug ("new-messages-monitor.vala:81: Warning: new message %s (%Xh) does not f" \
"ulfill NewMessagesMonitor required fields of %Xh", _tmp15_, (guint) _tmp18_, (guint) _tmp19_);
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_g_free0 (_tmp15_);
#line 624 "new-messages-monitor.c"
			}
#line 85 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp20_ = self->priv->new_ids;
#line 85 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp21_ = email;
#line 85 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp22_ = geary_email_get_id (_tmp21_);
#line 85 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp23_ = _tmp22_;
#line 85 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp24_ = gee_abstract_collection_contains (G_TYPE_CHECK_INSTANCE_CAST (_tmp20_, GEE_TYPE_ABSTRACT_COLLECTION, GeeAbstractCollection), _tmp23_);
#line 85 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (_tmp24_) {
#line 86 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_g_object_unref0 (email);
#line 86 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				continue;
#line 642 "new-messages-monitor.c"
			}
#line 88 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp25_ = email;
#line 88 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp26_ = geary_email_get_email_flags (_tmp25_);
#line 88 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp27_ = _tmp26_;
#line 88 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp28_ = geary_email_flags_is_unread (_tmp27_);
#line 88 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (!_tmp28_) {
#line 89 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_g_object_unref0 (email);
#line 89 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				continue;
#line 658 "new-messages-monitor.c"
			}
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp30_ = self->priv->_last_new_message;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (_tmp30_ == NULL) {
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp29_ = TRUE;
#line 666 "new-messages-monitor.c"
			} else {
				GearyEmail* _tmp31_;
				gint _tmp32_;
				gint _tmp33_;
				GearyEmail* _tmp34_;
				gint _tmp35_;
				gint _tmp36_;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp31_ = self->priv->_last_new_message;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp32_ = geary_email_get_position (_tmp31_);
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp33_ = _tmp32_;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp34_ = email;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp35_ = geary_email_get_position (_tmp34_);
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp36_ = _tmp35_;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp29_ = _tmp33_ < _tmp36_;
#line 688 "new-messages-monitor.c"
			}
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp37_ = _tmp29_;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (_tmp37_) {
#line 694 "new-messages-monitor.c"
				GearyEmail* _tmp38_;
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp38_ = email;
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				new_messages_monitor_set_last_new_message (self, _tmp38_);
#line 700 "new-messages-monitor.c"
			}
#line 94 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp39_ = self->priv->new_ids;
#line 94 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp40_ = email;
#line 94 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp41_ = geary_email_get_id (_tmp40_);
#line 94 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp42_ = _tmp41_;
#line 94 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			gee_abstract_collection_add (G_TYPE_CHECK_INSTANCE_CAST (_tmp39_, GEE_TYPE_ABSTRACT_COLLECTION, GeeAbstractCollection), _tmp42_);
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_g_object_unref0 (email);
#line 714 "new-messages-monitor.c"
		}
#line 79 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_g_object_unref0 (_email_it);
#line 718 "new-messages-monitor.c"
	}
#line 97 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_update_count (self, TRUE);
#line 722 "new-messages-monitor.c"
}


static void new_messages_monitor_retire_new_messages (NewMessagesMonitor* self, GeeCollection* email_ids) {
#line 100 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 100 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (GEE_IS_COLLECTION (email_ids));
#line 731 "new-messages-monitor.c"
	{
		GeeCollection* _tmp0_;
		GeeIterator* _tmp1_ = NULL;
		GeeIterator* _email_id_it;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_tmp0_ = email_ids;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_tmp1_ = gee_iterable_iterator (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GEE_TYPE_ITERABLE, GeeIterable));
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_email_id_it = _tmp1_;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		while (TRUE) {
#line 744 "new-messages-monitor.c"
			GeeIterator* _tmp2_;
			gboolean _tmp3_ = FALSE;
			GeeIterator* _tmp4_;
			gpointer _tmp5_ = NULL;
			GearyEmailIdentifier* email_id;
			gboolean _tmp6_ = FALSE;
			GearyEmail* _tmp7_;
			gboolean _tmp13_;
			GeeHashSet* _tmp14_;
			GearyEmailIdentifier* _tmp15_;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp2_ = _email_id_it;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp3_ = gee_iterator_next (_tmp2_);
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (!_tmp3_) {
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				break;
#line 763 "new-messages-monitor.c"
			}
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp4_ = _email_id_it;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			email_id = (GearyEmailIdentifier*) _tmp5_;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp7_ = self->priv->_last_new_message;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (_tmp7_ != NULL) {
#line 775 "new-messages-monitor.c"
				GearyEmail* _tmp8_;
				GearyEmailIdentifier* _tmp9_;
				GearyEmailIdentifier* _tmp10_;
				GearyEmailIdentifier* _tmp11_;
				gboolean _tmp12_ = FALSE;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp8_ = self->priv->_last_new_message;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp9_ = geary_email_get_id (_tmp8_);
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp10_ = _tmp9_;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp11_ = email_id;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp12_ = geary_email_identifier_equals (_tmp10_, G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, GEARY_TYPE_EQUALABLE, GearyEqualable));
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp6_ = _tmp12_;
#line 793 "new-messages-monitor.c"
			} else {
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				_tmp6_ = FALSE;
#line 797 "new-messages-monitor.c"
			}
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp13_ = _tmp6_;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			if (_tmp13_) {
#line 103 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
				new_messages_monitor_set_last_new_message (self, NULL);
#line 805 "new-messages-monitor.c"
			}
#line 105 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp14_ = self->priv->new_ids;
#line 105 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_tmp15_ = email_id;
#line 105 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			gee_abstract_collection_remove (G_TYPE_CHECK_INSTANCE_CAST (_tmp14_, GEE_TYPE_ABSTRACT_COLLECTION, GeeAbstractCollection), _tmp15_);
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
			_g_object_unref0 (email_id);
#line 815 "new-messages-monitor.c"
		}
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		_g_object_unref0 (_email_id_it);
#line 819 "new-messages-monitor.c"
	}
#line 108 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_update_count (self, FALSE);
#line 823 "new-messages-monitor.c"
}


void new_messages_monitor_clear_new_messages (NewMessagesMonitor* self) {
	GeeHashSet* _tmp0_;
#line 111 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 112 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = self->priv->new_ids;
#line 112 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	gee_abstract_collection_clear (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GEE_TYPE_ABSTRACT_COLLECTION, GeeAbstractCollection));
#line 113 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_set_last_new_message (self, NULL);
#line 115 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_update_count (self, FALSE);
#line 839 "new-messages-monitor.c"
}


static void new_messages_monitor_update_count (NewMessagesMonitor* self, gboolean arrived) {
	gint _tmp0_;
	GeeHashSet* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	GeeHashSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	gboolean _tmp7_;
#line 118 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 122 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = self->priv->_count;
#line 122 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp1_ = self->priv->new_ids;
#line 122 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp2_ = gee_abstract_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GEE_TYPE_COLLECTION, GeeCollection));
#line 122 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp3_ = _tmp2_;
#line 122 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	if (_tmp0_ == _tmp3_) {
#line 123 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		return;
#line 866 "new-messages-monitor.c"
	}
#line 125 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp4_ = self->priv->new_ids;
#line 125 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp5_ = gee_abstract_collection_get_size (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, GEE_TYPE_COLLECTION, GeeCollection));
#line 125 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp6_ = _tmp5_;
#line 125 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_set_count (self, _tmp6_);
#line 126 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp7_ = arrived;
#line 126 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	if (_tmp7_) {
#line 127 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_signal_emit_by_name (self, "new-messages-arrived");
#line 882 "new-messages-monitor.c"
	} else {
#line 129 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_signal_emit_by_name (self, "new-messages-retired");
#line 886 "new-messages-monitor.c"
	}
}


GearyFolder* new_messages_monitor_get_folder (NewMessagesMonitor* self) {
	GearyFolder* result;
	GearyFolder* _tmp0_;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_val_if_fail (IS_NEW_MESSAGES_MONITOR (self), NULL);
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = self->priv->_folder;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	result = _tmp0_;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return result;
#line 902 "new-messages-monitor.c"
}


static void new_messages_monitor_set_folder (NewMessagesMonitor* self, GearyFolder* value) {
	GearyFolder* _tmp0_;
	GearyFolder* _tmp1_;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = value;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (self->priv->_folder);
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->_folder = _tmp1_;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_notify ((GObject *) self, "folder");
#line 921 "new-messages-monitor.c"
}


gint new_messages_monitor_get_count (NewMessagesMonitor* self) {
	gint result;
	gint _tmp0_;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_val_if_fail (IS_NEW_MESSAGES_MONITOR (self), 0);
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = self->priv->_count;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	result = _tmp0_;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return result;
#line 936 "new-messages-monitor.c"
}


static void new_messages_monitor_set_count (NewMessagesMonitor* self, gint value) {
	gint _tmp0_;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = value;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->_count = _tmp0_;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_notify ((GObject *) self, "count");
#line 950 "new-messages-monitor.c"
}


GearyEmail* new_messages_monitor_get_last_new_message (NewMessagesMonitor* self) {
	GearyEmail* result;
	GearyEmail* _tmp0_;
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_val_if_fail (IS_NEW_MESSAGES_MONITOR (self), NULL);
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = self->priv->_last_new_message;
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	result = _tmp0_;
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return result;
#line 965 "new-messages-monitor.c"
}


static void new_messages_monitor_set_last_new_message (NewMessagesMonitor* self, GearyEmail* value) {
	GearyEmail* _tmp0_;
	GearyEmail* _tmp1_;
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = value;
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (self->priv->_last_new_message);
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->_last_new_message = _tmp1_;
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_notify ((GObject *) self, "last-new-message");
#line 984 "new-messages-monitor.c"
}


GearyEmailField new_messages_monitor_get_required_fields (NewMessagesMonitor* self) {
	GearyEmailField result;
	GearyEmailField _tmp0_;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_val_if_fail (IS_NEW_MESSAGES_MONITOR (self), 0);
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = self->priv->_required_fields;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	result = _tmp0_;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	return result;
#line 999 "new-messages-monitor.c"
}


static void new_messages_monitor_set_required_fields (NewMessagesMonitor* self, GearyEmailField value) {
	GearyEmailField _tmp0_;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_return_if_fail (IS_NEW_MESSAGES_MONITOR (self));
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = value;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->_required_fields = _tmp0_;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_notify ((GObject *) self, "required-fields");
#line 1013 "new-messages-monitor.c"
}


static void new_messages_monitor_class_init (NewMessagesMonitorClass * klass) {
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	new_messages_monitor_parent_class = g_type_class_peek_parent (klass);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_type_class_add_private (klass, sizeof (NewMessagesMonitorPrivate));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_new_messages_monitor_get_property;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_new_messages_monitor_set_property;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	G_OBJECT_CLASS (klass)->finalize = new_messages_monitor_finalize;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NEW_MESSAGES_MONITOR_FOLDER, g_param_spec_object ("folder", "folder", "folder", GEARY_TYPE_FOLDER, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NEW_MESSAGES_MONITOR_COUNT, g_param_spec_int ("count", "count", "count", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NEW_MESSAGES_MONITOR_LAST_NEW_MESSAGE, g_param_spec_object ("last-new-message", "last-new-message", "last-new-message", GEARY_TYPE_EMAIL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NEW_MESSAGES_MONITOR_REQUIRED_FIELDS, g_param_spec_enum ("required-fields", "required-fields", "required-fields", GEARY_EMAIL_TYPE_FIELD, GEARY_EMAIL_FIELD_FLAGS, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_new ("new_messages_arrived", TYPE_NEW_MESSAGES_MONITOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_new ("new_messages_retired", TYPE_NEW_MESSAGES_MONITOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1040 "new-messages-monitor.c"
}


static void new_messages_monitor_instance_init (NewMessagesMonitor * self) {
	GeeHashSet* _tmp0_;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv = NEW_MESSAGES_MONITOR_GET_PRIVATE (self);
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->_count = 0;
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->_last_new_message = NULL;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->_required_fields = GEARY_EMAIL_FIELD_FLAGS;
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = gee_hash_set_new (GEARY_TYPE_EMAIL_IDENTIFIER, (GBoxedCopyFunc) g_object_ref, g_object_unref, _geary_hashable_hash_func_ghash_func, _geary_equalable_equal_func_gequal_func);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self->priv->new_ids = _tmp0_;
#line 1058 "new-messages-monitor.c"
}


static void new_messages_monitor_finalize (GObject* obj) {
	NewMessagesMonitor * self;
	GearyFolder* _tmp0_;
	guint _tmp1_ = 0U;
	GearyFolder* _tmp2_;
	guint _tmp3_ = 0U;
	GearyFolder* _tmp4_;
	guint _tmp5_ = 0U;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_NEW_MESSAGES_MONITOR, NewMessagesMonitor);
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp0_ = self->priv->_folder;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_parse_name ("email-locally-appended", GEARY_TYPE_FOLDER, &_tmp1_, NULL, FALSE);
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_handlers_disconnect_matched (_tmp0_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp1_, 0, NULL, (GCallback) _new_messages_monitor_on_email_locally_appended_geary_folder_email_locally_appended, self);
#line 40 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp2_ = self->priv->_folder;
#line 40 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_parse_name ("email-flags-changed", GEARY_TYPE_FOLDER, &_tmp3_, NULL, FALSE);
#line 40 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_handlers_disconnect_matched (_tmp2_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp3_, 0, NULL, (GCallback) _new_messages_monitor_on_email_flags_changed_geary_folder_email_flags_changed, self);
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_tmp4_ = self->priv->_folder;
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_parse_name ("email-removed", GEARY_TYPE_FOLDER, &_tmp5_, NULL, FALSE);
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	g_signal_handlers_disconnect_matched (_tmp4_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp5_, 0, NULL, (GCallback) _new_messages_monitor_on_email_removed_geary_folder_email_removed, self);
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (self->priv->_folder);
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (self->priv->_last_new_message);
#line 21 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (self->priv->cancellable);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	_g_object_unref0 (self->priv->new_ids);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	G_OBJECT_CLASS (new_messages_monitor_parent_class)->finalize (obj);
#line 1100 "new-messages-monitor.c"
}


GType new_messages_monitor_get_type (void) {
	static volatile gsize new_messages_monitor_type_id__volatile = 0;
	if (g_once_init_enter (&new_messages_monitor_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NewMessagesMonitorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) new_messages_monitor_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NewMessagesMonitor), 0, (GInstanceInitFunc) new_messages_monitor_instance_init, NULL };
		GType new_messages_monitor_type_id;
		new_messages_monitor_type_id = g_type_register_static (G_TYPE_OBJECT, "NewMessagesMonitor", &g_define_type_info, 0);
		g_once_init_leave (&new_messages_monitor_type_id__volatile, new_messages_monitor_type_id);
	}
	return new_messages_monitor_type_id__volatile;
}


static void _vala_new_messages_monitor_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NewMessagesMonitor * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_NEW_MESSAGES_MONITOR, NewMessagesMonitor);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	switch (property_id) {
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case NEW_MESSAGES_MONITOR_FOLDER:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_value_set_object (value, new_messages_monitor_get_folder (self));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case NEW_MESSAGES_MONITOR_COUNT:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_value_set_int (value, new_messages_monitor_get_count (self));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case NEW_MESSAGES_MONITOR_LAST_NEW_MESSAGE:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_value_set_object (value, new_messages_monitor_get_last_new_message (self));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case NEW_MESSAGES_MONITOR_REQUIRED_FIELDS:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		g_value_set_enum (value, new_messages_monitor_get_required_fields (self));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 1145 "new-messages-monitor.c"
		default:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 1151 "new-messages-monitor.c"
	}
}


static void _vala_new_messages_monitor_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NewMessagesMonitor * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_NEW_MESSAGES_MONITOR, NewMessagesMonitor);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
	switch (property_id) {
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case NEW_MESSAGES_MONITOR_FOLDER:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		new_messages_monitor_set_folder (self, g_value_get_object (value));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case NEW_MESSAGES_MONITOR_COUNT:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		new_messages_monitor_set_count (self, g_value_get_int (value));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case NEW_MESSAGES_MONITOR_LAST_NEW_MESSAGE:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		new_messages_monitor_set_last_new_message (self, g_value_get_object (value));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		case NEW_MESSAGES_MONITOR_REQUIRED_FIELDS:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		new_messages_monitor_set_required_fields (self, g_value_get_enum (value));
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 1185 "new-messages-monitor.c"
		default:
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/notification/new-messages-monitor.vala"
		break;
#line 1191 "new-messages-monitor.c"
	}
}



