/* geary-login.c generated by valac 0.17.4, the Vala compiler
 * generated from geary-login.vala, do not modify */

/* Copyright 2011-2012 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution. 
 */
/* Displays a dialog for collecting the user's login data.*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "geary-static.h"
#include <stdlib.h>
#include <string.h>
#include <gdk/gdk.h>
#include <gobject/gvaluecollector.h>


#define TYPE_LOGIN_DIALOG (login_dialog_get_type ())
#define LOGIN_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_LOGIN_DIALOG, LoginDialog))
#define LOGIN_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_LOGIN_DIALOG, LoginDialogClass))
#define IS_LOGIN_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_LOGIN_DIALOG))
#define IS_LOGIN_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_LOGIN_DIALOG))
#define LOGIN_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_LOGIN_DIALOG, LoginDialogClass))

typedef struct _LoginDialog LoginDialog;
typedef struct _LoginDialogClass LoginDialogClass;
typedef struct _LoginDialogPrivate LoginDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_GEARY_APPLICATION (geary_application_get_type ())
#define GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GEARY_APPLICATION, GearyApplication))
#define GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_GEARY_APPLICATION, GearyApplicationClass))
#define IS_GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GEARY_APPLICATION))
#define IS_GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_GEARY_APPLICATION))
#define GEARY_APPLICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_GEARY_APPLICATION, GearyApplicationClass))

typedef struct _GearyApplication GearyApplication;
typedef struct _GearyApplicationClass GearyApplicationClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _geary_credentials_unref0(var) ((var == NULL) ? NULL : (var = (geary_credentials_unref (var), NULL)))
typedef struct _ParamSpecLoginDialog ParamSpecLoginDialog;

struct _LoginDialog {
	GTypeInstance parent_instance;
	volatile int ref_count;
	LoginDialogPrivate * priv;
};

struct _LoginDialogClass {
	GTypeClass parent_class;
	void (*finalize) (LoginDialog *self);
};

struct _LoginDialogPrivate {
	GtkDialog* dialog;
	GtkEntry* entry_username;
	GtkEntry* entry_password;
	GtkEntry* entry_real_name;
	GtkComboBoxText* combo_service;
	GtkCheckButton* check_remember_password;
	GtkAlignment* other_info;
	GtkEntry* entry_imap_host;
	GtkEntry* entry_imap_port;
	GtkRadioButton* radio_imap_none;
	GtkRadioButton* radio_imap_ssl;
	GtkRadioButton* radio_imap_starttls;
	GtkEntry* entry_smtp_host;
	GtkEntry* entry_smtp_port;
	GtkRadioButton* radio_smtp_none;
	GtkRadioButton* radio_smtp_ssl;
	GtkRadioButton* radio_smtp_starttls;
	GtkButton* ok_button;
	gboolean edited_imap_port;
	gboolean edited_smtp_port;
	GearyAccountInformation* _account_information;
};

struct _ParamSpecLoginDialog {
	GParamSpec parent_instance;
};


static gpointer login_dialog_parent_class = NULL;

gpointer login_dialog_ref (gpointer instance);
void login_dialog_unref (gpointer instance);
GParamSpec* param_spec_login_dialog (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_login_dialog (GValue* value, gpointer v_object);
void value_take_login_dialog (GValue* value, gpointer v_object);
gpointer value_get_login_dialog (const GValue* value);
GType login_dialog_get_type (void) G_GNUC_CONST;
#define LOGIN_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_LOGIN_DIALOG, LoginDialogPrivate))
enum  {
	LOGIN_DIALOG_DUMMY_PROPERTY
};
LoginDialog* login_dialog_new_from_account_information (GearyAccountInformation* initial_account_information);
LoginDialog* login_dialog_construct_from_account_information (GType object_type, GearyAccountInformation* initial_account_information);
LoginDialog* login_dialog_new (const gchar* initial_real_name, const gchar* initial_username, const gchar* initial_password, gboolean initial_remember_password, gint initial_service_provider, const gchar* initial_default_imap_host, guint16 initial_default_imap_port, gboolean initial_default_imap_ssl, gboolean initial_default_imap_starttls, const gchar* initial_default_smtp_host, guint16 initial_default_smtp_port, gboolean initial_default_smtp_ssl, gboolean initial_default_smtp_starttls);
LoginDialog* login_dialog_construct (GType object_type, const gchar* initial_real_name, const gchar* initial_username, const gchar* initial_password, gboolean initial_remember_password, gint initial_service_provider, const gchar* initial_default_imap_host, guint16 initial_default_imap_port, gboolean initial_default_imap_ssl, gboolean initial_default_imap_starttls, const gchar* initial_default_smtp_host, guint16 initial_default_smtp_port, gboolean initial_default_smtp_ssl, gboolean initial_default_smtp_starttls);
GType geary_application_get_type (void) G_GNUC_CONST;
GearyApplication* geary_application_get_instance (void);
GtkBuilder* geary_application_create_builder (GearyApplication* self, const gchar* ui_filename);
static void login_dialog_on_service_changed (LoginDialog* self);
static void _login_dialog_on_service_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void login_dialog_on_changed (LoginDialog* self);
static void _login_dialog_on_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void _login_dialog_on_changed_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void _login_dialog_on_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void login_dialog_on_radio_imap_toggled (LoginDialog* self);
static void _login_dialog_on_radio_imap_toggled_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void login_dialog_on_radio_smtp_toggled (LoginDialog* self);
static void _login_dialog_on_radio_smtp_toggled_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void login_dialog_on_port_insert_text (LoginDialog* self, GtkEditable* e, const gchar* text, gint length, gint* position);
static void _login_dialog_on_port_insert_text_gtk_editable_insert_text (GtkEditable* _sender, const gchar* new_text, gint new_text_length, gint* position, gpointer self);
gboolean login_dialog_show (LoginDialog* self);
static void login_dialog_set_account_information (LoginDialog* self, GearyAccountInformation* value);
GearyAccountInformation* login_dialog_get_account_information (LoginDialog* self);
static GearyServiceProvider login_dialog_get_service_provider (LoginDialog* self);
static gboolean login_dialog_is_complete (LoginDialog* self);
static guint16 login_dialog_get_default_imap_port (LoginDialog* self);
static guint16 login_dialog_get_default_smtp_port (LoginDialog* self);
static void login_dialog_finalize (LoginDialog* obj);


LoginDialog* login_dialog_construct_from_account_information (GType object_type, GearyAccountInformation* initial_account_information) {
	LoginDialog* self = NULL;
	GearyAccountInformation* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	GearyAccountInformation* _tmp3_;
	GearyCredentials* _tmp4_;
	GearyCredentials* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	GearyAccountInformation* _tmp8_;
	GearyCredentials* _tmp9_;
	GearyCredentials* _tmp10_;
	const gchar* _tmp11_;
	const gchar* _tmp12_;
	GearyAccountInformation* _tmp13_;
	gboolean _tmp14_;
	gboolean _tmp15_;
	GearyAccountInformation* _tmp16_;
	GearyServiceProvider _tmp17_;
	GearyServiceProvider _tmp18_;
	GearyAccountInformation* _tmp19_;
	const gchar* _tmp20_;
	const gchar* _tmp21_;
	GearyAccountInformation* _tmp22_;
	guint16 _tmp23_;
	guint16 _tmp24_;
	GearyAccountInformation* _tmp25_;
	gboolean _tmp26_;
	gboolean _tmp27_;
	GearyAccountInformation* _tmp28_;
	gboolean _tmp29_;
	gboolean _tmp30_;
	GearyAccountInformation* _tmp31_;
	const gchar* _tmp32_;
	const gchar* _tmp33_;
	GearyAccountInformation* _tmp34_;
	guint16 _tmp35_;
	guint16 _tmp36_;
	GearyAccountInformation* _tmp37_;
	gboolean _tmp38_;
	gboolean _tmp39_;
	GearyAccountInformation* _tmp40_;
	gboolean _tmp41_;
	gboolean _tmp42_;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (GEARY_IS_ACCOUNT_INFORMATION (initial_account_information), NULL);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self = (LoginDialog*) g_type_create_instance (object_type);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = geary_account_information_get_real_name (_tmp0_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = _tmp1_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp3_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp4_ = geary_account_information_get_credentials (_tmp3_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp5_ = _tmp4_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp6_ = geary_credentials_get_user (_tmp5_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp7_ = _tmp6_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp8_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp9_ = geary_account_information_get_credentials (_tmp8_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp10_ = _tmp9_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp11_ = geary_credentials_get_pass (_tmp10_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp12_ = _tmp11_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp13_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp14_ = geary_account_information_get_remember_password (_tmp13_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp15_ = _tmp14_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp16_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp17_ = geary_account_information_get_service_provider (_tmp16_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp18_ = _tmp17_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp19_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp20_ = geary_account_information_get_default_imap_server_host (_tmp19_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp21_ = _tmp20_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp22_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp23_ = geary_account_information_get_default_imap_server_port (_tmp22_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp24_ = _tmp23_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp25_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp26_ = geary_account_information_get_default_imap_server_ssl (_tmp25_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp27_ = _tmp26_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp28_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp29_ = geary_account_information_get_default_imap_server_starttls (_tmp28_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp30_ = _tmp29_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp31_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp32_ = geary_account_information_get_default_smtp_server_host (_tmp31_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp33_ = _tmp32_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp34_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp35_ = geary_account_information_get_default_smtp_server_port (_tmp34_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp36_ = _tmp35_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp37_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp38_ = geary_account_information_get_default_smtp_server_ssl (_tmp37_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp39_ = _tmp38_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp40_ = initial_account_information;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp41_ = geary_account_information_get_default_smtp_server_starttls (_tmp40_);
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp42_ = _tmp41_;
#line 35 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self = (LoginDialog*) login_dialog_construct (object_type, _tmp2_, _tmp7_, _tmp12_, _tmp15_, (gint) _tmp18_, _tmp21_, _tmp24_, _tmp27_, _tmp30_, _tmp33_, _tmp36_, _tmp39_, _tmp42_);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return self;
#line 268 "geary-login.c"
}


LoginDialog* login_dialog_new_from_account_information (GearyAccountInformation* initial_account_information) {
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return login_dialog_construct_from_account_information (TYPE_LOGIN_DIALOG, initial_account_information);
#line 275 "geary-login.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 54 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return self ? g_object_ref (self) : NULL;
#line 282 "geary-login.c"
}


static void _login_dialog_on_service_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 78 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_service_changed (self);
#line 289 "geary-login.c"
}


static void _login_dialog_on_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 112 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_changed (self);
#line 296 "geary-login.c"
}


static void _login_dialog_on_changed_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 115 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_changed (self);
#line 303 "geary-login.c"
}


static void _login_dialog_on_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 116 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_changed (self);
#line 310 "geary-login.c"
}


static void _login_dialog_on_radio_imap_toggled_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 122 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_radio_imap_toggled (self);
#line 317 "geary-login.c"
}


static void _login_dialog_on_radio_smtp_toggled_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 126 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_radio_smtp_toggled (self);
#line 324 "geary-login.c"
}


static void _login_dialog_on_port_insert_text_gtk_editable_insert_text (GtkEditable* _sender, const gchar* new_text, gint new_text_length, gint* position, gpointer self) {
#line 130 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_port_insert_text (self, _sender, new_text, new_text_length, position);
#line 331 "geary-login.c"
}


LoginDialog* login_dialog_construct (GType object_type, const gchar* initial_real_name, const gchar* initial_username, const gchar* initial_password, gboolean initial_remember_password, gint initial_service_provider, const gchar* initial_default_imap_host, guint16 initial_default_imap_port, gboolean initial_default_imap_ssl, gboolean initial_default_imap_starttls, const gchar* initial_default_smtp_host, guint16 initial_default_smtp_port, gboolean initial_default_smtp_ssl, gboolean initial_default_smtp_starttls) {
	LoginDialog* self = NULL;
	GearyApplication* _tmp0_;
	GearyApplication* _tmp1_;
	GtkBuilder* _tmp2_ = NULL;
	GtkBuilder* builder;
	GtkBuilder* _tmp3_;
	GObject* _tmp4_ = NULL;
	GtkDialog* _tmp5_;
	GtkDialog* _tmp6_;
	GtkDialog* _tmp7_;
	GtkBuilder* _tmp8_;
	GObject* _tmp9_ = NULL;
	GtkEntry* _tmp10_;
	GtkBuilder* _tmp11_;
	GObject* _tmp12_ = NULL;
	GtkComboBoxText* _tmp13_;
	GtkBuilder* _tmp14_;
	GObject* _tmp15_ = NULL;
	GtkEntry* _tmp16_;
	GtkBuilder* _tmp17_;
	GObject* _tmp18_ = NULL;
	GtkEntry* _tmp19_;
	GtkBuilder* _tmp20_;
	GObject* _tmp21_ = NULL;
	GtkCheckButton* _tmp22_;
	GtkBuilder* _tmp23_;
	GObject* _tmp24_ = NULL;
	GtkAlignment* _tmp25_;
	GtkBuilder* _tmp26_;
	GObject* _tmp27_ = NULL;
	GtkEntry* _tmp28_;
	GtkBuilder* _tmp29_;
	GObject* _tmp30_ = NULL;
	GtkEntry* _tmp31_;
	GtkBuilder* _tmp32_;
	GObject* _tmp33_ = NULL;
	GtkRadioButton* _tmp34_;
	GtkBuilder* _tmp35_;
	GObject* _tmp36_ = NULL;
	GtkRadioButton* _tmp37_;
	GtkBuilder* _tmp38_;
	GObject* _tmp39_ = NULL;
	GtkRadioButton* _tmp40_;
	GtkBuilder* _tmp41_;
	GObject* _tmp42_ = NULL;
	GtkEntry* _tmp43_;
	GtkBuilder* _tmp44_;
	GObject* _tmp45_ = NULL;
	GtkEntry* _tmp46_;
	GtkBuilder* _tmp47_;
	GObject* _tmp48_ = NULL;
	GtkRadioButton* _tmp49_;
	GtkBuilder* _tmp50_;
	GObject* _tmp51_ = NULL;
	GtkRadioButton* _tmp52_;
	GtkBuilder* _tmp53_;
	GObject* _tmp54_ = NULL;
	GtkRadioButton* _tmp55_;
	GtkComboBoxText* _tmp56_;
	gint _tmp57_ = 0;
	GearyServiceProvider* _tmp58_ = NULL;
	GtkComboBoxText* _tmp67_;
	gint _tmp68_ = 0;
	const gchar* _tmp70_;
	gchar* _tmp71_;
	gchar* _tmp72_;
	const gchar* _tmp73_;
	GtkEntry* _tmp75_;
	const gchar* _tmp76_;
	const gchar* _tmp77_;
	gchar* _tmp78_;
	gchar* _tmp79_;
	const gchar* _tmp80_;
	GtkEntry* _tmp82_;
	const gchar* _tmp83_;
	const gchar* _tmp84_;
	gchar* _tmp85_;
	gchar* _tmp86_;
	const gchar* _tmp87_;
	GtkEntry* _tmp89_;
	const gchar* _tmp90_;
	GtkCheckButton* _tmp91_;
	gboolean _tmp92_;
	const gchar* _tmp93_;
	gchar* _tmp94_;
	gchar* _tmp95_;
	const gchar* _tmp96_;
	GtkEntry* _tmp98_;
	const gchar* _tmp99_;
	GtkEntry* _tmp100_;
	guint16 _tmp101_;
	gchar* _tmp102_ = NULL;
	gchar* _tmp103_;
	GtkRadioButton* _tmp104_;
	GtkRadioButton* _tmp105_;
	gboolean _tmp106_;
	GtkRadioButton* _tmp107_;
	gboolean _tmp108_;
	const gchar* _tmp109_;
	gchar* _tmp110_;
	gchar* _tmp111_;
	const gchar* _tmp112_;
	GtkEntry* _tmp114_;
	const gchar* _tmp115_;
	GtkEntry* _tmp116_;
	guint16 _tmp117_;
	gchar* _tmp118_ = NULL;
	gchar* _tmp119_;
	GtkRadioButton* _tmp120_;
	GtkRadioButton* _tmp121_;
	gboolean _tmp122_;
	GtkRadioButton* _tmp123_;
	gboolean _tmp124_;
	GtkEntry* _tmp125_;
	const gchar* _tmp126_;
	const gchar* _tmp127_;
	gboolean _tmp128_ = FALSE;
	GtkEntry* _tmp131_;
	GtkEntry* _tmp132_;
	GtkEntry* _tmp133_;
	GtkCheckButton* _tmp134_;
	GtkComboBoxText* _tmp135_;
	GtkEntry* _tmp136_;
	GtkEntry* _tmp137_;
	GtkEntry* _tmp138_;
	GtkEntry* _tmp139_;
	GtkRadioButton* _tmp140_;
	GtkRadioButton* _tmp141_;
	GtkRadioButton* _tmp142_;
	GtkRadioButton* _tmp143_;
	GtkRadioButton* _tmp144_;
	GtkRadioButton* _tmp145_;
	GtkEntry* _tmp146_;
	GtkEntry* _tmp147_;
	GtkDialog* _tmp148_;
	GtkButton* _tmp149_;
	GtkButton* _tmp150_;
	GtkButton* _tmp151_;
	GtkButton* _tmp152_;
	GtkButton* _tmp153_;
	GtkDialog* _tmp154_;
	GtkButton* _tmp155_;
	GtkDialog* _tmp156_;
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self = (LoginDialog*) g_type_create_instance (object_type);
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = geary_application_get_instance ();
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = _tmp0_;
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = geary_application_create_builder (_tmp1_, "login.glade");
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	builder = _tmp2_;
#line 54 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp3_ = builder;
#line 54 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp4_ = gtk_builder_get_object (_tmp3_, "LoginDialog");
#line 54 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp5_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp4_, GTK_TYPE_DIALOG) ? ((GtkDialog*) _tmp4_) : NULL);
#line 54 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->dialog);
#line 54 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->dialog = _tmp5_;
#line 55 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp6_ = self->priv->dialog;
#line 55 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_window_set_type_hint (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, GTK_TYPE_WINDOW, GtkWindow), GDK_WINDOW_TYPE_HINT_DIALOG);
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp7_ = self->priv->dialog;
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_dialog_set_default_response (_tmp7_, (gint) GTK_RESPONSE_OK);
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp8_ = builder;
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp9_ = gtk_builder_get_object (_tmp8_, "real_name");
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp10_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp9_, GTK_TYPE_ENTRY) ? ((GtkEntry*) _tmp9_) : NULL);
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_real_name);
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->entry_real_name = _tmp10_;
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp11_ = builder;
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp12_ = gtk_builder_get_object (_tmp11_, "service");
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp13_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp12_, GTK_TYPE_COMBO_BOX_TEXT) ? ((GtkComboBoxText*) _tmp12_) : NULL);
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->combo_service);
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->combo_service = _tmp13_;
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp14_ = builder;
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp15_ = gtk_builder_get_object (_tmp14_, "username");
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp16_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp15_, GTK_TYPE_ENTRY) ? ((GtkEntry*) _tmp15_) : NULL);
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_username);
#line 60 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->entry_username = _tmp16_;
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp17_ = builder;
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp18_ = gtk_builder_get_object (_tmp17_, "password");
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp19_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp18_, GTK_TYPE_ENTRY) ? ((GtkEntry*) _tmp18_) : NULL);
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_password);
#line 61 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->entry_password = _tmp19_;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp20_ = builder;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp21_ = gtk_builder_get_object (_tmp20_, "remember_password");
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp22_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp21_, GTK_TYPE_CHECK_BUTTON) ? ((GtkCheckButton*) _tmp21_) : NULL);
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->check_remember_password);
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->check_remember_password = _tmp22_;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp23_ = builder;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp24_ = gtk_builder_get_object (_tmp23_, "other_info");
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp25_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp24_, GTK_TYPE_ALIGNMENT) ? ((GtkAlignment*) _tmp24_) : NULL);
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->other_info);
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->other_info = _tmp25_;
#line 66 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp26_ = builder;
#line 66 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp27_ = gtk_builder_get_object (_tmp26_, "imap host");
#line 66 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp28_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp27_, GTK_TYPE_ENTRY) ? ((GtkEntry*) _tmp27_) : NULL);
#line 66 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_imap_host);
#line 66 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->entry_imap_host = _tmp28_;
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp29_ = builder;
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp30_ = gtk_builder_get_object (_tmp29_, "imap port");
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp31_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp30_, GTK_TYPE_ENTRY) ? ((GtkEntry*) _tmp30_) : NULL);
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_imap_port);
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->entry_imap_port = _tmp31_;
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp32_ = builder;
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp33_ = gtk_builder_get_object (_tmp32_, "imap none");
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp34_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp33_, GTK_TYPE_RADIO_BUTTON) ? ((GtkRadioButton*) _tmp33_) : NULL);
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_imap_none);
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->radio_imap_none = _tmp34_;
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp35_ = builder;
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp36_ = gtk_builder_get_object (_tmp35_, "imap ssl");
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp37_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp36_, GTK_TYPE_RADIO_BUTTON) ? ((GtkRadioButton*) _tmp36_) : NULL);
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_imap_ssl);
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->radio_imap_ssl = _tmp37_;
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp38_ = builder;
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp39_ = gtk_builder_get_object (_tmp38_, "imap starttls");
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp40_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp39_, GTK_TYPE_RADIO_BUTTON) ? ((GtkRadioButton*) _tmp39_) : NULL);
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_imap_starttls);
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->radio_imap_starttls = _tmp40_;
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp41_ = builder;
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp42_ = gtk_builder_get_object (_tmp41_, "smtp host");
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp43_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp42_, GTK_TYPE_ENTRY) ? ((GtkEntry*) _tmp42_) : NULL);
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_smtp_host);
#line 72 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->entry_smtp_host = _tmp43_;
#line 73 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp44_ = builder;
#line 73 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp45_ = gtk_builder_get_object (_tmp44_, "smtp port");
#line 73 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp46_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp45_, GTK_TYPE_ENTRY) ? ((GtkEntry*) _tmp45_) : NULL);
#line 73 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_smtp_port);
#line 73 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->entry_smtp_port = _tmp46_;
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp47_ = builder;
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp48_ = gtk_builder_get_object (_tmp47_, "smtp none");
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp49_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp48_, GTK_TYPE_RADIO_BUTTON) ? ((GtkRadioButton*) _tmp48_) : NULL);
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_smtp_none);
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->radio_smtp_none = _tmp49_;
#line 75 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp50_ = builder;
#line 75 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp51_ = gtk_builder_get_object (_tmp50_, "smtp ssl");
#line 75 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp52_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp51_, GTK_TYPE_RADIO_BUTTON) ? ((GtkRadioButton*) _tmp51_) : NULL);
#line 75 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_smtp_ssl);
#line 75 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->radio_smtp_ssl = _tmp52_;
#line 76 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp53_ = builder;
#line 76 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp54_ = gtk_builder_get_object (_tmp53_, "smtp starttls");
#line 76 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp55_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp54_, GTK_TYPE_RADIO_BUTTON) ? ((GtkRadioButton*) _tmp54_) : NULL);
#line 76 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_smtp_starttls);
#line 76 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->radio_smtp_starttls = _tmp55_;
#line 78 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp56_ = self->priv->combo_service;
#line 78 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp56_, GTK_TYPE_COMBO_BOX, GtkComboBox), "changed", (GCallback) _login_dialog_on_service_changed_gtk_combo_box_changed, self);
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp58_ = geary_service_provider_get_providers (&_tmp57_);
#line 673 "geary-login.c"
	{
		GearyServiceProvider* p_collection = NULL;
		gint p_collection_length1 = 0;
		gint _p_collection_size_ = 0;
		gint p_it = 0;
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		p_collection = _tmp58_;
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		p_collection_length1 = _tmp57_;
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		for (p_it = 0; p_it < _tmp57_; p_it = p_it + 1) {
#line 685 "geary-login.c"
			GearyServiceProvider p = 0;
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			p = p_collection[p_it];
#line 689 "geary-login.c"
			{
				GtkComboBoxText* _tmp59_;
				GearyServiceProvider _tmp60_;
				gchar* _tmp61_ = NULL;
				gchar* _tmp62_;
				GearyServiceProvider _tmp63_;
				gint _tmp64_;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				_tmp59_ = self->priv->combo_service;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				_tmp60_ = p;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				_tmp61_ = geary_service_provider_display_name (_tmp60_);
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				_tmp62_ = _tmp61_;
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				gtk_combo_box_text_append_text (_tmp59_, _tmp62_);
#line 81 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				_g_free0 (_tmp62_);
#line 82 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				_tmp63_ = p;
#line 82 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				_tmp64_ = initial_service_provider;
#line 82 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				if (_tmp63_ == _tmp64_) {
#line 715 "geary-login.c"
					GtkComboBoxText* _tmp65_;
					GearyServiceProvider _tmp66_;
#line 83 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
					_tmp65_ = self->priv->combo_service;
#line 83 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
					_tmp66_ = p;
#line 83 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
					gtk_combo_box_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp65_, GTK_TYPE_COMBO_BOX, GtkComboBox), (gint) _tmp66_);
#line 724 "geary-login.c"
				}
			}
		}
#line 80 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		p_collection = (g_free (p_collection), NULL);
#line 730 "geary-login.c"
	}
#line 86 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp67_ = self->priv->combo_service;
#line 86 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp68_ = gtk_combo_box_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp67_, GTK_TYPE_COMBO_BOX, GtkComboBox));
#line 86 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp68_ == (-1)) {
#line 738 "geary-login.c"
		GtkComboBoxText* _tmp69_;
#line 87 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp69_ = self->priv->combo_service;
#line 87 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		gtk_combo_box_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp69_, GTK_TYPE_COMBO_BOX, GtkComboBox), 0);
#line 744 "geary-login.c"
	}
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp70_ = initial_real_name;
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp71_ = g_strdup (_tmp70_);
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp72_ = _tmp71_;
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp73_ = _tmp72_;
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp73_ == NULL) {
#line 756 "geary-login.c"
		gchar* _tmp74_;
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp74_ = g_strdup ("");
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_g_free0 (_tmp72_);
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp72_ = _tmp74_;
#line 764 "geary-login.c"
	}
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp75_ = self->priv->entry_real_name;
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp76_ = _tmp72_;
#line 90 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp75_, _tmp76_);
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp77_ = initial_username;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp78_ = g_strdup (_tmp77_);
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp79_ = _tmp78_;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp80_ = _tmp79_;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp80_ == NULL) {
#line 782 "geary-login.c"
		gchar* _tmp81_;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp81_ = g_strdup ("");
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_g_free0 (_tmp79_);
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp79_ = _tmp81_;
#line 790 "geary-login.c"
	}
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp82_ = self->priv->entry_username;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp83_ = _tmp79_;
#line 91 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp82_, _tmp83_);
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp84_ = initial_password;
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp85_ = g_strdup (_tmp84_);
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp86_ = _tmp85_;
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp87_ = _tmp86_;
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp87_ == NULL) {
#line 808 "geary-login.c"
		gchar* _tmp88_;
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp88_ = g_strdup ("");
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_g_free0 (_tmp86_);
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp86_ = _tmp88_;
#line 816 "geary-login.c"
	}
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp89_ = self->priv->entry_password;
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp90_ = _tmp86_;
#line 92 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp89_, _tmp90_);
#line 93 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp91_ = self->priv->check_remember_password;
#line 93 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp92_ = initial_remember_password;
#line 93 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp91_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), _tmp92_);
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp93_ = initial_default_imap_host;
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp94_ = g_strdup (_tmp93_);
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp95_ = _tmp94_;
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp96_ = _tmp95_;
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp96_ == NULL) {
#line 840 "geary-login.c"
		gchar* _tmp97_;
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp97_ = g_strdup ("");
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_g_free0 (_tmp95_);
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp95_ = _tmp97_;
#line 848 "geary-login.c"
	}
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp98_ = self->priv->entry_imap_host;
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp99_ = _tmp95_;
#line 95 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp98_, _tmp99_);
#line 96 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp100_ = self->priv->entry_imap_port;
#line 96 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp101_ = initial_default_imap_port;
#line 96 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp102_ = g_strdup_printf ("%hu", _tmp101_);
#line 96 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp103_ = _tmp102_;
#line 96 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp100_, _tmp103_);
#line 96 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp103_);
#line 97 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp104_ = self->priv->radio_imap_none;
#line 97 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp104_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), TRUE);
#line 98 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp105_ = self->priv->radio_imap_ssl;
#line 98 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp106_ = initial_default_imap_ssl;
#line 98 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp105_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), _tmp106_);
#line 99 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp107_ = self->priv->radio_imap_starttls;
#line 99 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp108_ = initial_default_imap_starttls;
#line 99 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp107_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), _tmp108_);
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp109_ = initial_default_smtp_host;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp110_ = g_strdup (_tmp109_);
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp111_ = _tmp110_;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp112_ = _tmp111_;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp112_ == NULL) {
#line 894 "geary-login.c"
		gchar* _tmp113_;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp113_ = g_strdup ("");
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_g_free0 (_tmp111_);
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp111_ = _tmp113_;
#line 902 "geary-login.c"
	}
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp114_ = self->priv->entry_smtp_host;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp115_ = _tmp111_;
#line 101 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp114_, _tmp115_);
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp116_ = self->priv->entry_smtp_port;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp117_ = initial_default_smtp_port;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp118_ = g_strdup_printf ("%hu", _tmp117_);
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp119_ = _tmp118_;
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp116_, _tmp119_);
#line 102 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp119_);
#line 103 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp120_ = self->priv->radio_smtp_none;
#line 103 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp120_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), TRUE);
#line 104 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp121_ = self->priv->radio_smtp_ssl;
#line 104 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp122_ = initial_default_smtp_ssl;
#line 104 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp121_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), _tmp122_);
#line 105 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp123_ = self->priv->radio_smtp_starttls;
#line 105 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp124_ = initial_default_smtp_starttls;
#line 105 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp123_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), _tmp124_);
#line 107 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp125_ = self->priv->entry_real_name;
#line 107 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp126_ = gtk_entry_get_text (_tmp125_);
#line 107 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp127_ = _tmp126_;
#line 107 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp128_ = geary_string_is_empty (_tmp127_);
#line 107 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp128_) {
#line 948 "geary-login.c"
		GtkEntry* _tmp129_;
#line 108 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp129_ = self->priv->entry_real_name;
#line 108 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp129_, GTK_TYPE_WIDGET, GtkWidget));
#line 954 "geary-login.c"
	} else {
		GtkEntry* _tmp130_;
#line 110 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp130_ = self->priv->entry_username;
#line 110 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp130_, GTK_TYPE_WIDGET, GtkWidget));
#line 961 "geary-login.c"
	}
#line 112 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp131_ = self->priv->entry_username;
#line 112 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp131_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _login_dialog_on_changed_gtk_editable_changed, self);
#line 113 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp132_ = self->priv->entry_password;
#line 113 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp132_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _login_dialog_on_changed_gtk_editable_changed, self);
#line 114 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp133_ = self->priv->entry_real_name;
#line 114 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp133_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _login_dialog_on_changed_gtk_editable_changed, self);
#line 115 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp134_ = self->priv->check_remember_password;
#line 115 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp134_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), "toggled", (GCallback) _login_dialog_on_changed_gtk_toggle_button_toggled, self);
#line 116 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp135_ = self->priv->combo_service;
#line 116 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp135_, GTK_TYPE_COMBO_BOX, GtkComboBox), "changed", (GCallback) _login_dialog_on_changed_gtk_combo_box_changed, self);
#line 117 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp136_ = self->priv->entry_imap_host;
#line 117 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp136_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _login_dialog_on_changed_gtk_editable_changed, self);
#line 118 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp137_ = self->priv->entry_imap_port;
#line 118 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp137_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _login_dialog_on_changed_gtk_editable_changed, self);
#line 119 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp138_ = self->priv->entry_smtp_host;
#line 119 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp138_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _login_dialog_on_changed_gtk_editable_changed, self);
#line 120 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp139_ = self->priv->entry_smtp_port;
#line 120 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp139_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _login_dialog_on_changed_gtk_editable_changed, self);
#line 122 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp140_ = self->priv->radio_imap_none;
#line 122 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp140_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), "toggled", (GCallback) _login_dialog_on_radio_imap_toggled_gtk_toggle_button_toggled, self);
#line 123 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp141_ = self->priv->radio_imap_ssl;
#line 123 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp141_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), "toggled", (GCallback) _login_dialog_on_radio_imap_toggled_gtk_toggle_button_toggled, self);
#line 124 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp142_ = self->priv->radio_imap_starttls;
#line 124 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp142_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), "toggled", (GCallback) _login_dialog_on_radio_imap_toggled_gtk_toggle_button_toggled, self);
#line 126 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp143_ = self->priv->radio_smtp_none;
#line 126 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp143_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), "toggled", (GCallback) _login_dialog_on_radio_smtp_toggled_gtk_toggle_button_toggled, self);
#line 127 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp144_ = self->priv->radio_smtp_ssl;
#line 127 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp144_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), "toggled", (GCallback) _login_dialog_on_radio_smtp_toggled_gtk_toggle_button_toggled, self);
#line 128 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp145_ = self->priv->radio_smtp_starttls;
#line 128 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp145_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), "toggled", (GCallback) _login_dialog_on_radio_smtp_toggled_gtk_toggle_button_toggled, self);
#line 130 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp146_ = self->priv->entry_imap_port;
#line 130 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp146_, GTK_TYPE_EDITABLE, GtkEditable), "insert-text", (GCallback) _login_dialog_on_port_insert_text_gtk_editable_insert_text, self);
#line 131 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp147_ = self->priv->entry_smtp_port;
#line 131 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp147_, GTK_TYPE_EDITABLE, GtkEditable), "insert-text", (GCallback) _login_dialog_on_port_insert_text_gtk_editable_insert_text, self);
#line 133 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp148_ = self->priv->dialog;
#line 133 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp149_ = (GtkButton*) gtk_button_new_from_stock (GTK_STOCK_CANCEL);
#line 133 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_object_ref_sink (_tmp149_);
#line 133 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp150_ = _tmp149_;
#line 133 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_dialog_add_action_widget (_tmp148_, G_TYPE_CHECK_INSTANCE_CAST (_tmp150_, GTK_TYPE_WIDGET, GtkWidget), (gint) GTK_RESPONSE_CANCEL);
#line 133 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (_tmp150_);
#line 134 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp151_ = (GtkButton*) gtk_button_new_from_stock (GTK_STOCK_OK);
#line 134 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_object_ref_sink (_tmp151_);
#line 134 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->ok_button);
#line 134 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->ok_button = _tmp151_;
#line 135 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp152_ = self->priv->ok_button;
#line 135 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_widget_set_can_default (G_TYPE_CHECK_INSTANCE_CAST (_tmp152_, GTK_TYPE_WIDGET, GtkWidget), TRUE);
#line 136 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp153_ = self->priv->ok_button;
#line 136 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp153_, GTK_TYPE_WIDGET, GtkWidget), FALSE);
#line 137 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp154_ = self->priv->dialog;
#line 137 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp155_ = self->priv->ok_button;
#line 137 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_dialog_add_action_widget (_tmp154_, G_TYPE_CHECK_INSTANCE_CAST (_tmp155_, GTK_TYPE_WIDGET, GtkWidget), (gint) GTK_RESPONSE_OK);
#line 138 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp156_ = self->priv->dialog;
#line 138 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_dialog_set_default_response (_tmp156_, (gint) GTK_RESPONSE_OK);
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp111_);
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp95_);
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp86_);
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp79_);
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp72_);
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (builder);
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return self;
#line 1083 "geary-login.c"
}


LoginDialog* login_dialog_new (const gchar* initial_real_name, const gchar* initial_username, const gchar* initial_password, gboolean initial_remember_password, gint initial_service_provider, const gchar* initial_default_imap_host, guint16 initial_default_imap_port, gboolean initial_default_imap_ssl, gboolean initial_default_imap_starttls, const gchar* initial_default_smtp_host, guint16 initial_default_smtp_port, gboolean initial_default_smtp_ssl, gboolean initial_default_smtp_starttls) {
#line 44 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return login_dialog_construct (TYPE_LOGIN_DIALOG, initial_real_name, initial_username, initial_password, initial_remember_password, initial_service_provider, initial_default_imap_host, initial_default_imap_port, initial_default_imap_ssl, initial_default_imap_starttls, initial_default_smtp_host, initial_default_smtp_port, initial_default_smtp_ssl, initial_default_smtp_starttls);
#line 1090 "geary-login.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _result_;
	const gchar* _tmp1_;
#line 1071 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1072 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1072 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1073 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1073 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1074 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	result = _result_;
#line 1074 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	return result;
#line 1113 "geary-login.c"
}


gboolean login_dialog_show (LoginDialog* self) {
	gboolean result = FALSE;
	GtkDialog* _tmp0_;
	GtkDialog* _tmp1_;
	GtkWidget* _tmp2_ = NULL;
	GtkDialog* _tmp3_;
	gint _tmp4_ = 0;
	GtkResponseType response;
	GtkResponseType _tmp5_;
	GtkEntry* _tmp6_;
	const gchar* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_;
	GtkEntry* _tmp11_;
	const gchar* _tmp12_;
	const gchar* _tmp13_;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_;
	GearyCredentials* _tmp16_;
	GearyCredentials* _tmp17_;
	GearyCredentials* credentials;
	GearyCredentials* _tmp18_;
	GearyAccountInformation* _tmp19_;
	GearyAccountInformation* _tmp20_;
	GearyAccountInformation* _tmp21_;
	GtkEntry* _tmp22_;
	const gchar* _tmp23_;
	const gchar* _tmp24_;
	gchar* _tmp25_ = NULL;
	gchar* _tmp26_;
	GearyAccountInformation* _tmp27_;
	GtkCheckButton* _tmp28_;
	gboolean _tmp29_;
	gboolean _tmp30_;
	GearyAccountInformation* _tmp31_;
	GearyServiceProvider _tmp32_ = 0;
	GearyAccountInformation* _tmp33_;
	GtkEntry* _tmp34_;
	const gchar* _tmp35_;
	const gchar* _tmp36_;
	gchar* _tmp37_ = NULL;
	gchar* _tmp38_;
	GearyAccountInformation* _tmp39_;
	GtkEntry* _tmp40_;
	const gchar* _tmp41_;
	const gchar* _tmp42_;
	gchar* _tmp43_ = NULL;
	gchar* _tmp44_;
	gint _tmp45_ = 0;
	GearyAccountInformation* _tmp46_;
	GtkRadioButton* _tmp47_;
	gboolean _tmp48_;
	gboolean _tmp49_;
	GearyAccountInformation* _tmp50_;
	GtkRadioButton* _tmp51_;
	gboolean _tmp52_;
	gboolean _tmp53_;
	GearyAccountInformation* _tmp54_;
	GtkEntry* _tmp55_;
	const gchar* _tmp56_;
	const gchar* _tmp57_;
	gchar* _tmp58_ = NULL;
	gchar* _tmp59_;
	GearyAccountInformation* _tmp60_;
	GtkEntry* _tmp61_;
	const gchar* _tmp62_;
	const gchar* _tmp63_;
	gchar* _tmp64_ = NULL;
	gchar* _tmp65_;
	gint _tmp66_ = 0;
	GearyAccountInformation* _tmp67_;
	GtkRadioButton* _tmp68_;
	gboolean _tmp69_;
	gboolean _tmp70_;
	GearyAccountInformation* _tmp71_;
	GtkRadioButton* _tmp72_;
	gboolean _tmp73_;
	gboolean _tmp74_;
	GtkDialog* _tmp75_;
#line 142 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (IS_LOGIN_DIALOG (self), FALSE);
#line 143 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = self->priv->dialog;
#line 143 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_widget_show (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GTK_TYPE_WIDGET, GtkWidget));
#line 144 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = self->priv->dialog;
#line 144 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = gtk_dialog_get_action_area (_tmp1_);
#line 144 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_widget_show_all (_tmp2_);
#line 145 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_service_changed (self);
#line 147 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp3_ = self->priv->dialog;
#line 147 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp4_ = gtk_dialog_run (_tmp3_);
#line 147 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	response = (GtkResponseType) _tmp4_;
#line 148 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp5_ = response;
#line 148 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp5_ != GTK_RESPONSE_OK) {
#line 149 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		result = FALSE;
#line 149 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return result;
#line 1225 "geary-login.c"
	}
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp6_ = self->priv->entry_username;
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp7_ = gtk_entry_get_text (_tmp6_);
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp8_ = _tmp7_;
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp9_ = string_strip (_tmp8_);
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp10_ = _tmp9_;
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp11_ = self->priv->entry_password;
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp12_ = gtk_entry_get_text (_tmp11_);
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp13_ = _tmp12_;
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp14_ = string_strip (_tmp13_);
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp15_ = _tmp14_;
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp16_ = geary_credentials_new (_tmp10_, _tmp15_);
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp17_ = _tmp16_;
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp15_);
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp10_);
#line 151 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	credentials = _tmp17_;
#line 153 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp18_ = credentials;
#line 153 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp19_ = geary_account_information_new (_tmp18_);
#line 153 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp20_ = _tmp19_;
#line 153 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_set_account_information (self, _tmp20_);
#line 153 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (_tmp20_);
#line 155 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp21_ = self->priv->_account_information;
#line 155 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp22_ = self->priv->entry_real_name;
#line 155 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp23_ = gtk_entry_get_text (_tmp22_);
#line 155 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp24_ = _tmp23_;
#line 155 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp25_ = string_strip (_tmp24_);
#line 155 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp26_ = _tmp25_;
#line 155 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_real_name (_tmp21_, _tmp26_);
#line 155 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp26_);
#line 156 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp27_ = self->priv->_account_information;
#line 156 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp28_ = self->priv->check_remember_password;
#line 156 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp29_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp28_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 156 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp30_ = _tmp29_;
#line 156 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_remember_password (_tmp27_, _tmp30_);
#line 157 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp31_ = self->priv->_account_information;
#line 157 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp32_ = login_dialog_get_service_provider (self);
#line 157 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_service_provider (_tmp31_, _tmp32_);
#line 158 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp33_ = self->priv->_account_information;
#line 158 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp34_ = self->priv->entry_imap_host;
#line 158 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp35_ = gtk_entry_get_text (_tmp34_);
#line 158 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp36_ = _tmp35_;
#line 158 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp37_ = string_strip (_tmp36_);
#line 158 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp38_ = _tmp37_;
#line 158 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_default_imap_server_host (_tmp33_, _tmp38_);
#line 158 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp38_);
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp39_ = self->priv->_account_information;
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp40_ = self->priv->entry_imap_port;
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp41_ = gtk_entry_get_text (_tmp40_);
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp42_ = _tmp41_;
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp43_ = string_strip (_tmp42_);
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp44_ = _tmp43_;
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp45_ = atoi (_tmp44_);
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_default_imap_server_port (_tmp39_, (guint16) _tmp45_);
#line 159 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp44_);
#line 160 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp46_ = self->priv->_account_information;
#line 160 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp47_ = self->priv->radio_imap_ssl;
#line 160 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp48_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp47_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 160 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp49_ = _tmp48_;
#line 160 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_default_imap_server_ssl (_tmp46_, _tmp49_);
#line 161 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp50_ = self->priv->_account_information;
#line 161 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp51_ = self->priv->radio_imap_starttls;
#line 161 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp52_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp51_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 161 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp53_ = _tmp52_;
#line 161 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_default_imap_server_starttls (_tmp50_, _tmp53_);
#line 162 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp54_ = self->priv->_account_information;
#line 162 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp55_ = self->priv->entry_smtp_host;
#line 162 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp56_ = gtk_entry_get_text (_tmp55_);
#line 162 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp57_ = _tmp56_;
#line 162 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp58_ = string_strip (_tmp57_);
#line 162 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp59_ = _tmp58_;
#line 162 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_default_smtp_server_host (_tmp54_, _tmp59_);
#line 162 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp59_);
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp60_ = self->priv->_account_information;
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp61_ = self->priv->entry_smtp_port;
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp62_ = gtk_entry_get_text (_tmp61_);
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp63_ = _tmp62_;
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp64_ = string_strip (_tmp63_);
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp65_ = _tmp64_;
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp66_ = atoi (_tmp65_);
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_default_smtp_server_port (_tmp60_, (guint16) _tmp66_);
#line 163 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp65_);
#line 164 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp67_ = self->priv->_account_information;
#line 164 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp68_ = self->priv->radio_smtp_ssl;
#line 164 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp69_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp68_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 164 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp70_ = _tmp69_;
#line 164 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_default_smtp_server_ssl (_tmp67_, _tmp70_);
#line 165 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp71_ = self->priv->_account_information;
#line 165 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp72_ = self->priv->radio_smtp_starttls;
#line 165 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp73_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp72_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 165 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp74_ = _tmp73_;
#line 165 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	geary_account_information_set_default_smtp_server_starttls (_tmp71_, _tmp74_);
#line 167 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_on_changed (self);
#line 169 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp75_ = self->priv->dialog;
#line 169 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_widget_destroy (G_TYPE_CHECK_INSTANCE_CAST (_tmp75_, GTK_TYPE_WIDGET, GtkWidget));
#line 170 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	result = TRUE;
#line 170 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_geary_credentials_unref0 (credentials);
#line 170 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return result;
#line 1419 "geary-login.c"
}


static void login_dialog_on_service_changed (LoginDialog* self) {
	GearyServiceProvider _tmp0_ = 0;
#line 173 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 174 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = login_dialog_get_service_provider (self);
#line 174 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp0_ == GEARY_SERVICE_PROVIDER_OTHER) {
#line 1431 "geary-login.c"
		GtkAlignment* _tmp1_;
#line 175 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp1_ = self->priv->other_info;
#line 175 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		gtk_widget_show (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GTK_TYPE_WIDGET, GtkWidget));
#line 1437 "geary-login.c"
	} else {
		GtkAlignment* _tmp2_;
		GtkDialog* _tmp3_;
#line 177 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp2_ = self->priv->other_info;
#line 177 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		gtk_widget_hide (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, GTK_TYPE_WIDGET, GtkWidget));
#line 178 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp3_ = self->priv->dialog;
#line 178 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		gtk_window_resize (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, GTK_TYPE_WINDOW, GtkWindow), 1, 1);
#line 1449 "geary-login.c"
	}
}


static void login_dialog_on_changed (LoginDialog* self) {
	GtkButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
#line 182 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 183 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = self->priv->ok_button;
#line 183 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = login_dialog_is_complete (self);
#line 183 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GTK_TYPE_WIDGET, GtkWidget), _tmp1_);
#line 1465 "geary-login.c"
}


static gboolean uint64_try_parse (const gchar* str, guint64* _result_) {
	guint64 _vala_result = 0ULL;
	gboolean result = FALSE;
	gchar* endptr = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_ = NULL;
	guint64 _tmp2_ = 0ULL;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
#line 648 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, FALSE);
#line 650 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 650 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp2_ = g_ascii_strtoull (_tmp0_, &_tmp1_, (guint) 0);
#line 650 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	endptr = _tmp1_;
#line 650 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_vala_result = _tmp2_;
#line 651 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp3_ = endptr;
#line 651 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp4_ = str;
#line 651 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp5_ = str;
#line 651 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp6_ = strlen (_tmp5_);
#line 651 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp7_ = _tmp6_;
#line 651 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	if (_tmp3_ == (((gchar*) _tmp4_) + _tmp7_)) {
#line 652 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		result = TRUE;
#line 652 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		if (_result_) {
#line 652 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			*_result_ = _vala_result;
#line 1509 "geary-login.c"
		}
#line 652 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		return result;
#line 1513 "geary-login.c"
	} else {
#line 654 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		result = FALSE;
#line 654 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		if (_result_) {
#line 654 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			*_result_ = _vala_result;
#line 1521 "geary-login.c"
		}
#line 654 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		return result;
#line 1525 "geary-login.c"
	}
#line 648 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	if (_result_) {
#line 648 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		*_result_ = _vala_result;
#line 1531 "geary-login.c"
	}
}


static guint64 uint64_parse (const gchar* str) {
	guint64 result = 0ULL;
	const gchar* _tmp0_;
	guint64 _tmp1_ = 0ULL;
#line 645 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 646 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 646 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoull (_tmp0_, NULL, (guint) 0);
#line 646 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 646 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	return result;
#line 1550 "geary-login.c"
}


static void login_dialog_on_port_insert_text (LoginDialog* self, GtkEditable* e, const gchar* text, gint length, gint* position) {
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp8_;
#line 186 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 186 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (GTK_IS_EDITABLE (e));
#line 186 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (text != NULL);
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = text;
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = uint64_try_parse (_tmp1_, NULL);
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (!_tmp2_) {
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp0_ = TRUE;
#line 1573 "geary-login.c"
	} else {
		GtkEditable* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		guint64 _tmp6_ = 0ULL;
		guint16 _tmp7_;
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp3_ = e;
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp4_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, GTK_TYPE_ENTRY, GtkEntry));
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp5_ = _tmp4_;
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp6_ = uint64_parse (_tmp5_);
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp7_ = G_MAXUINT16;
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp0_ = _tmp6_ > ((guint64) _tmp7_);
#line 1592 "geary-login.c"
	}
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp8_ = _tmp0_;
#line 188 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp8_) {
#line 1598 "geary-login.c"
		GtkEditable* _tmp9_;
#line 189 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp9_ = e;
#line 189 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		g_signal_stop_emission_by_name (_tmp9_, "insert-text");
#line 1604 "geary-login.c"
	} else {
		GtkEditable* _tmp10_;
		GtkEntry* _tmp11_;
#line 191 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp10_ = e;
#line 191 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp11_ = self->priv->entry_imap_port;
#line 191 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		if (_tmp10_ == _tmp11_) {
#line 192 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			self->priv->edited_imap_port = TRUE;
#line 1616 "geary-login.c"
		} else {
			GtkEditable* _tmp12_;
			GtkEntry* _tmp13_;
#line 193 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp12_ = e;
#line 193 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp13_ = self->priv->entry_smtp_port;
#line 193 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			if (_tmp12_ == _tmp13_) {
#line 194 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
				self->priv->edited_smtp_port = TRUE;
#line 1628 "geary-login.c"
			}
		}
	}
}


static void login_dialog_on_radio_imap_toggled (LoginDialog* self) {
	gboolean _tmp0_;
	GtkEntry* _tmp1_;
	guint16 _tmp2_ = 0U;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_;
#line 198 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 199 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = self->priv->edited_imap_port;
#line 199 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp0_) {
#line 200 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return;
#line 1649 "geary-login.c"
	}
#line 202 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = self->priv->entry_imap_port;
#line 202 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = login_dialog_get_default_imap_port (self);
#line 202 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp3_ = g_strdup_printf ("%hu", _tmp2_);
#line 202 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp4_ = _tmp3_;
#line 202 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp1_, _tmp4_);
#line 202 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp4_);
#line 203 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->edited_imap_port = FALSE;
#line 1665 "geary-login.c"
}


static guint16 login_dialog_get_default_imap_port (LoginDialog* self) {
	guint16 result = 0U;
	GtkRadioButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	GtkRadioButton* _tmp3_;
	gboolean _tmp4_;
	gboolean _tmp5_;
#line 206 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (IS_LOGIN_DIALOG (self), 0U);
#line 207 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = self->priv->radio_imap_ssl;
#line 207 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 207 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = _tmp1_;
#line 207 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp2_) {
#line 208 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		result = GEARY_IMAP_CLIENT_CONNECTION_DEFAULT_PORT_SSL;
#line 208 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return result;
#line 1691 "geary-login.c"
	}
#line 209 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp3_ = self->priv->radio_imap_starttls;
#line 209 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp4_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 209 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp5_ = _tmp4_;
#line 209 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp5_) {
#line 210 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		result = GEARY_IMAP_CLIENT_CONNECTION_DEFAULT_PORT;
#line 210 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return result;
#line 1705 "geary-login.c"
	}
#line 212 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	result = GEARY_IMAP_CLIENT_CONNECTION_DEFAULT_PORT;
#line 212 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return result;
#line 1711 "geary-login.c"
}


static void login_dialog_on_radio_smtp_toggled (LoginDialog* self) {
	gboolean _tmp0_;
	GtkEntry* _tmp1_;
	guint16 _tmp2_ = 0U;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_;
#line 215 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 216 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = self->priv->edited_smtp_port;
#line 216 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp0_) {
#line 217 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return;
#line 1729 "geary-login.c"
	}
#line 219 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = self->priv->entry_smtp_port;
#line 219 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = login_dialog_get_default_smtp_port (self);
#line 219 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp3_ = g_strdup_printf ("%hu", _tmp2_);
#line 219 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp4_ = _tmp3_;
#line 219 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	gtk_entry_set_text (_tmp1_, _tmp4_);
#line 219 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp4_);
#line 220 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->edited_smtp_port = FALSE;
#line 1745 "geary-login.c"
}


static guint16 login_dialog_get_default_smtp_port (LoginDialog* self) {
	guint16 result = 0U;
	GtkRadioButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	GtkRadioButton* _tmp3_;
	gboolean _tmp4_;
	gboolean _tmp5_;
#line 223 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (IS_LOGIN_DIALOG (self), 0U);
#line 224 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = self->priv->radio_smtp_ssl;
#line 224 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 224 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = _tmp1_;
#line 224 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp2_) {
#line 225 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		result = GEARY_SMTP_CLIENT_CONNECTION_DEFAULT_PORT_SSL;
#line 225 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return result;
#line 1771 "geary-login.c"
	}
#line 226 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp3_ = self->priv->radio_smtp_starttls;
#line 226 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp4_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 226 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp5_ = _tmp4_;
#line 226 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp5_) {
#line 227 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		result = GEARY_SMTP_CLIENT_CONNECTION_DEFAULT_PORT_STARTTLS;
#line 227 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return result;
#line 1785 "geary-login.c"
	}
#line 229 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	result = GEARY_SMTP_CLIENT_CONNECTION_DEFAULT_PORT;
#line 229 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return result;
#line 1791 "geary-login.c"
}


static GearyServiceProvider login_dialog_get_service_provider (LoginDialog* self) {
	GearyServiceProvider result = 0;
	GtkComboBoxText* _tmp0_;
	gint _tmp1_ = 0;
#line 232 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (IS_LOGIN_DIALOG (self), 0);
#line 233 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = self->priv->combo_service;
#line 233 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = gtk_combo_box_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GTK_TYPE_COMBO_BOX, GtkComboBox));
#line 233 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	result = (GearyServiceProvider) _tmp1_;
#line 233 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return result;
#line 1809 "geary-login.c"
}


static gboolean login_dialog_is_complete (LoginDialog* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	GtkEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_;
	gboolean _tmp14_;
	GearyServiceProvider _tmp15_ = 0;
#line 236 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (IS_LOGIN_DIALOG (self), FALSE);
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = self->priv->entry_username;
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp3_ = _tmp2_;
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp4_ = string_strip (_tmp3_);
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp5_ = _tmp4_;
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp6_ = geary_string_is_null_or_whitespace (_tmp5_);
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp7_ = _tmp6_;
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_free0 (_tmp5_);
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp7_) {
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp0_ = TRUE;
#line 1847 "geary-login.c"
	} else {
		GtkEntry* _tmp8_;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_;
		gboolean _tmp13_ = FALSE;
#line 238 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp8_ = self->priv->entry_password;
#line 238 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp9_ = gtk_entry_get_text (_tmp8_);
#line 238 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp10_ = _tmp9_;
#line 238 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp11_ = string_strip (_tmp10_);
#line 238 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp12_ = _tmp11_;
#line 238 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp13_ = geary_string_is_null_or_whitespace (_tmp12_);
#line 238 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp0_ = _tmp13_;
#line 238 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_g_free0 (_tmp12_);
#line 1871 "geary-login.c"
	}
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp14_ = _tmp0_;
#line 237 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp14_) {
#line 239 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		result = FALSE;
#line 239 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return result;
#line 1881 "geary-login.c"
	}
#line 242 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp15_ = login_dialog_get_service_provider (self);
#line 242 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (_tmp15_ == GEARY_SERVICE_PROVIDER_OTHER) {
#line 1887 "geary-login.c"
		gboolean _tmp16_ = FALSE;
		gboolean _tmp17_ = FALSE;
		gboolean _tmp18_ = FALSE;
		gboolean _tmp19_ = FALSE;
		gboolean _tmp20_ = FALSE;
		GtkEntry* _tmp21_;
		const gchar* _tmp22_;
		const gchar* _tmp23_;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_;
		gboolean _tmp26_ = FALSE;
		gboolean _tmp27_;
		gboolean _tmp32_;
		gboolean _tmp39_;
		gboolean _tmp44_;
		gboolean _tmp50_;
		gboolean _tmp56_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp21_ = self->priv->entry_imap_host;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp22_ = gtk_entry_get_text (_tmp21_);
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp23_ = _tmp22_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp24_ = string_strip (_tmp23_);
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp25_ = _tmp24_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp26_ = geary_string_is_empty (_tmp25_);
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp27_ = _tmp26_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_g_free0 (_tmp25_);
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		if (_tmp27_) {
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp20_ = TRUE;
#line 1925 "geary-login.c"
		} else {
			GtkEntry* _tmp28_;
			const gchar* _tmp29_;
			const gchar* _tmp30_;
			gboolean _tmp31_ = FALSE;
#line 244 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp28_ = self->priv->entry_imap_port;
#line 244 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp29_ = gtk_entry_get_text (_tmp28_);
#line 244 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp30_ = _tmp29_;
#line 244 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp31_ = geary_string_is_empty (_tmp30_);
#line 244 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp20_ = _tmp31_;
#line 1941 "geary-login.c"
		}
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp32_ = _tmp20_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		if (_tmp32_) {
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp19_ = TRUE;
#line 1949 "geary-login.c"
		} else {
			GtkEntry* _tmp33_;
			const gchar* _tmp34_;
			const gchar* _tmp35_;
			gchar* _tmp36_ = NULL;
			gchar* _tmp37_;
			gboolean _tmp38_ = FALSE;
#line 245 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp33_ = self->priv->entry_smtp_host;
#line 245 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp34_ = gtk_entry_get_text (_tmp33_);
#line 245 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp35_ = _tmp34_;
#line 245 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp36_ = string_strip (_tmp35_);
#line 245 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp37_ = _tmp36_;
#line 245 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp38_ = geary_string_is_empty (_tmp37_);
#line 245 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp19_ = _tmp38_;
#line 245 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_g_free0 (_tmp37_);
#line 1973 "geary-login.c"
		}
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp39_ = _tmp19_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		if (_tmp39_) {
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp18_ = TRUE;
#line 1981 "geary-login.c"
		} else {
			GtkEntry* _tmp40_;
			const gchar* _tmp41_;
			const gchar* _tmp42_;
			gboolean _tmp43_ = FALSE;
#line 246 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp40_ = self->priv->entry_smtp_port;
#line 246 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp41_ = gtk_entry_get_text (_tmp40_);
#line 246 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp42_ = _tmp41_;
#line 246 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp43_ = geary_string_is_empty (_tmp42_);
#line 246 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp18_ = _tmp43_;
#line 1997 "geary-login.c"
		}
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp44_ = _tmp18_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		if (_tmp44_) {
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp17_ = TRUE;
#line 2005 "geary-login.c"
		} else {
			GtkEntry* _tmp45_;
			const gchar* _tmp46_;
			const gchar* _tmp47_;
			gint _tmp48_ = 0;
			guint16 _tmp49_;
#line 247 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp45_ = self->priv->entry_imap_port;
#line 247 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp46_ = gtk_entry_get_text (_tmp45_);
#line 247 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp47_ = _tmp46_;
#line 247 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp48_ = atoi (_tmp47_);
#line 247 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp49_ = G_MAXUINT16;
#line 247 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp17_ = _tmp48_ > ((gint) _tmp49_);
#line 2024 "geary-login.c"
		}
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp50_ = _tmp17_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		if (_tmp50_) {
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp16_ = TRUE;
#line 2032 "geary-login.c"
		} else {
			GtkEntry* _tmp51_;
			const gchar* _tmp52_;
			const gchar* _tmp53_;
			gint _tmp54_ = 0;
			guint16 _tmp55_;
#line 248 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp51_ = self->priv->entry_smtp_port;
#line 248 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp52_ = gtk_entry_get_text (_tmp51_);
#line 248 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp53_ = _tmp52_;
#line 248 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp54_ = atoi (_tmp53_);
#line 248 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp55_ = G_MAXUINT16;
#line 248 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			_tmp16_ = _tmp54_ > ((gint) _tmp55_);
#line 2051 "geary-login.c"
		}
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		_tmp56_ = _tmp16_;
#line 243 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		if (_tmp56_) {
#line 249 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			result = FALSE;
#line 249 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			return result;
#line 2061 "geary-login.c"
		}
	}
#line 252 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	result = TRUE;
#line 252 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return result;
#line 2068 "geary-login.c"
}


GearyAccountInformation* login_dialog_get_account_information (LoginDialog* self) {
	GearyAccountInformation* result;
	GearyAccountInformation* _tmp0_;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (IS_LOGIN_DIALOG (self), NULL);
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = self->priv->_account_information;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	result = _tmp0_;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return result;
#line 2083 "geary-login.c"
}


static void login_dialog_set_account_information (LoginDialog* self, GearyAccountInformation* value) {
	GearyAccountInformation* _tmp0_;
	GearyAccountInformation* _tmp1_;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp0_ = value;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->_account_information);
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->_account_information = _tmp1_;
#line 2100 "geary-login.c"
}


static void value_login_dialog_init (GValue* value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	value->data[0].v_pointer = NULL;
#line 2107 "geary-login.c"
}


static void value_login_dialog_free_value (GValue* value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (value->data[0].v_pointer) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		login_dialog_unref (value->data[0].v_pointer);
#line 2116 "geary-login.c"
	}
}


static void value_login_dialog_copy_value (const GValue* src_value, GValue* dest_value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (src_value->data[0].v_pointer) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		dest_value->data[0].v_pointer = login_dialog_ref (src_value->data[0].v_pointer);
#line 2126 "geary-login.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		dest_value->data[0].v_pointer = NULL;
#line 2130 "geary-login.c"
	}
}


static gpointer value_login_dialog_peek_pointer (const GValue* value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return value->data[0].v_pointer;
#line 2138 "geary-login.c"
}


static gchar* value_login_dialog_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (collect_values[0].v_pointer) {
#line 2145 "geary-login.c"
		LoginDialog* object;
		object = collect_values[0].v_pointer;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		if (object->parent_instance.g_class == NULL) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 2152 "geary-login.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 2156 "geary-login.c"
		}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		value->data[0].v_pointer = login_dialog_ref (object);
#line 2160 "geary-login.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		value->data[0].v_pointer = NULL;
#line 2164 "geary-login.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return NULL;
#line 2168 "geary-login.c"
}


static gchar* value_login_dialog_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	LoginDialog** object_p;
	object_p = collect_values[0].v_pointer;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (!object_p) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 2179 "geary-login.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (!value->data[0].v_pointer) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		*object_p = NULL;
#line 2185 "geary-login.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		*object_p = value->data[0].v_pointer;
#line 2189 "geary-login.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		*object_p = login_dialog_ref (value->data[0].v_pointer);
#line 2193 "geary-login.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return NULL;
#line 2197 "geary-login.c"
}


GParamSpec* param_spec_login_dialog (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecLoginDialog* spec;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_LOGIN_DIALOG), NULL);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return G_PARAM_SPEC (spec);
#line 2211 "geary-login.c"
}


gpointer value_get_login_dialog (const GValue* value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_LOGIN_DIALOG), NULL);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return value->data[0].v_pointer;
#line 2220 "geary-login.c"
}


void value_set_login_dialog (GValue* value, gpointer v_object) {
	LoginDialog* old;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_LOGIN_DIALOG));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	old = value->data[0].v_pointer;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (v_object) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_LOGIN_DIALOG));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		value->data[0].v_pointer = v_object;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		login_dialog_ref (value->data[0].v_pointer);
#line 2240 "geary-login.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		value->data[0].v_pointer = NULL;
#line 2244 "geary-login.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (old) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		login_dialog_unref (old);
#line 2250 "geary-login.c"
	}
}


void value_take_login_dialog (GValue* value, gpointer v_object) {
	LoginDialog* old;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_LOGIN_DIALOG));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	old = value->data[0].v_pointer;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (v_object) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_LOGIN_DIALOG));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		value->data[0].v_pointer = v_object;
#line 2269 "geary-login.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		value->data[0].v_pointer = NULL;
#line 2273 "geary-login.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (old) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		login_dialog_unref (old);
#line 2279 "geary-login.c"
	}
}


static void login_dialog_class_init (LoginDialogClass * klass) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	login_dialog_parent_class = g_type_class_peek_parent (klass);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	LOGIN_DIALOG_CLASS (klass)->finalize = login_dialog_finalize;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_type_class_add_private (klass, sizeof (LoginDialogPrivate));
#line 2291 "geary-login.c"
}


static void login_dialog_instance_init (LoginDialog * self) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv = LOGIN_DIALOG_GET_PRIVATE (self);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->edited_imap_port = FALSE;
#line 30 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->priv->edited_smtp_port = FALSE;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self->ref_count = 1;
#line 2304 "geary-login.c"
}


static void login_dialog_finalize (LoginDialog* obj) {
	LoginDialog * self;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_LOGIN_DIALOG, LoginDialog);
#line 9 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->dialog);
#line 10 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_username);
#line 11 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_password);
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_real_name);
#line 13 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->combo_service);
#line 14 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->check_remember_password);
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->other_info);
#line 17 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_imap_host);
#line 18 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_imap_port);
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_imap_none);
#line 20 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_imap_ssl);
#line 21 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_imap_starttls);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_smtp_host);
#line 23 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->entry_smtp_port);
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_smtp_none);
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_smtp_ssl);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->radio_smtp_starttls);
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->ok_button);
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	_g_object_unref0 (self->priv->_account_information);
#line 2350 "geary-login.c"
}


GType login_dialog_get_type (void) {
	static volatile gsize login_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&login_dialog_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_login_dialog_init, value_login_dialog_free_value, value_login_dialog_copy_value, value_login_dialog_peek_pointer, "p", value_login_dialog_collect_value, "p", value_login_dialog_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (LoginDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) login_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (LoginDialog), 0, (GInstanceInitFunc) login_dialog_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType login_dialog_type_id;
		login_dialog_type_id = g_type_register_fundamental (g_type_fundamental_next (), "LoginDialog", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&login_dialog_type_id__volatile, login_dialog_type_id);
	}
	return login_dialog_type_id__volatile;
}


gpointer login_dialog_ref (gpointer instance) {
	LoginDialog* self;
	self = instance;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	g_atomic_int_inc (&self->ref_count);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	return instance;
#line 2375 "geary-login.c"
}


void login_dialog_unref (gpointer instance) {
	LoginDialog* self;
	self = instance;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		LOGIN_DIALOG_GET_CLASS (self)->finalize (self);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/geary-login.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 2388 "geary-login.c"
	}
}



