/* icon-factory.c generated by valac 0.17.4, the Vala compiler
 * generated from icon-factory.vala, do not modify */

/* Copyright 2011-2012 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution. 
 */
/* Singleton class to hold icons.*/

#include <glib.h>
#include <glib-object.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gio/gio.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include "geary-static.h"
#include <gobject/gvaluecollector.h>


#define TYPE_ICON_FACTORY (icon_factory_get_type ())
#define ICON_FACTORY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ICON_FACTORY, IconFactory))
#define ICON_FACTORY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ICON_FACTORY, IconFactoryClass))
#define IS_ICON_FACTORY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ICON_FACTORY))
#define IS_ICON_FACTORY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ICON_FACTORY))
#define ICON_FACTORY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ICON_FACTORY, IconFactoryClass))

typedef struct _IconFactory IconFactory;
typedef struct _IconFactoryClass IconFactoryClass;
typedef struct _IconFactoryPrivate IconFactoryPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _gtk_icon_info_free0(var) ((var == NULL) ? NULL : (var = (gtk_icon_info_free (var), NULL)))

#define TYPE_GEARY_APPLICATION (geary_application_get_type ())
#define GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GEARY_APPLICATION, GearyApplication))
#define GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_GEARY_APPLICATION, GearyApplicationClass))
#define IS_GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GEARY_APPLICATION))
#define IS_GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_GEARY_APPLICATION))
#define GEARY_APPLICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_GEARY_APPLICATION, GearyApplicationClass))

typedef struct _GearyApplication GearyApplication;
typedef struct _GearyApplicationClass GearyApplicationClass;
#define _icon_factory_unref0(var) ((var == NULL) ? NULL : (var = (icon_factory_unref (var), NULL)))
typedef struct _ParamSpecIconFactory ParamSpecIconFactory;

struct _IconFactory {
	GTypeInstance parent_instance;
	volatile int ref_count;
	IconFactoryPrivate * priv;
};

struct _IconFactoryClass {
	GTypeClass parent_class;
	void (*finalize) (IconFactory *self);
};

struct _IconFactoryPrivate {
	GdkPixbuf* _unread;
	GdkPixbuf* _starred;
	GdkPixbuf* _unstarred;
	GdkPixbuf* _geary;
	GThemedIcon* _label_icon;
	GThemedIcon* _label_folder_icon;
	GtkIconTheme* _icon_theme;
};

struct _ParamSpecIconFactory {
	GParamSpec parent_instance;
};


static gpointer icon_factory_parent_class = NULL;
static IconFactory* icon_factory__instance;
static IconFactory* icon_factory__instance = NULL;

gpointer icon_factory_ref (gpointer instance);
void icon_factory_unref (gpointer instance);
GParamSpec* param_spec_icon_factory (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_icon_factory (GValue* value, gpointer v_object);
void value_take_icon_factory (GValue* value, gpointer v_object);
gpointer value_get_icon_factory (const GValue* value);
GType icon_factory_get_type (void) G_GNUC_CONST;
#define ICON_FACTORY_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_ICON_FACTORY, IconFactoryPrivate))
enum  {
	ICON_FACTORY_DUMMY_PROPERTY
};
#define ICON_FACTORY_UNREAD_ICON_SIZE 16
#define ICON_FACTORY_STAR_ICON_SIZE 16
#define ICON_FACTORY_GEARY_ICON_SIZE 95
static GdkPixbuf* icon_factory_load (IconFactory* self, const gchar* icon_name, gint size, GtkIconLookupFlags flags);
static GtkIconTheme* icon_factory_get_icon_theme (IconFactory* self);
GtkIconInfo* icon_factory_lookup_icon (IconFactory* self, const gchar* icon_name, gint size, GtkIconLookupFlags flags);
static IconFactory* icon_factory_new (void);
static IconFactory* icon_factory_construct (GType object_type);
static void icon_factory_set_icon_theme (IconFactory* self, GtkIconTheme* value);
GType geary_application_get_type (void) G_GNUC_CONST;
GearyApplication* geary_application_get_instance (void);
GFile* geary_application_get_resource_directory (GearyApplication* self);
static void icon_factory_set_unread (IconFactory* self, GdkPixbuf* value);
static void icon_factory_set_starred (IconFactory* self, GdkPixbuf* value);
static void icon_factory_set_unstarred (IconFactory* self, GdkPixbuf* value);
static void icon_factory_set_geary (IconFactory* self, GdkPixbuf* value);
IconFactory* icon_factory_get_instance (void);
static void icon_factory_set_instance (IconFactory* value);
GdkPixbuf* icon_factory_get_unread (IconFactory* self);
GdkPixbuf* icon_factory_get_starred (IconFactory* self);
GdkPixbuf* icon_factory_get_unstarred (IconFactory* self);
GdkPixbuf* icon_factory_get_geary (IconFactory* self);
GThemedIcon* icon_factory_get_label_icon (IconFactory* self);
static void icon_factory_set_label_icon (IconFactory* self, GThemedIcon* value);
GThemedIcon* icon_factory_get_label_folder_icon (IconFactory* self);
static void icon_factory_set_label_folder_icon (IconFactory* self, GThemedIcon* value);
static void icon_factory_finalize (IconFactory* obj);


static GdkPixbuf* icon_factory_load (IconFactory* self, const gchar* icon_name, gint size, GtkIconLookupFlags flags) {
	GdkPixbuf* result = NULL;
	GError * _inner_error_ = NULL;
#line 36 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 36 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 127 "icon-factory.c"
	{
		GtkIconTheme* _tmp0_;
		const gchar* _tmp1_;
		gint _tmp2_;
		GtkIconLookupFlags _tmp3_;
		GdkPixbuf* _tmp4_ = NULL;
		GdkPixbuf* _tmp5_;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp0_ = self->priv->_icon_theme;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp1_ = icon_name;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp2_ = size;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp3_ = flags;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp4_ = gtk_icon_theme_load_icon (_tmp0_, _tmp1_, _tmp2_, _tmp3_, &_inner_error_);
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp5_ = _tmp4_;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		if (_inner_error_ != NULL) {
#line 149 "icon-factory.c"
			goto __catch31_g_error;
		}
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		result = _tmp5_;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		return result;
#line 156 "icon-factory.c"
	}
	goto __finally31;
	__catch31_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 38 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		e = _inner_error_;
#line 38 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_inner_error_ = NULL;
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp6_ = e;
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp7_ = _tmp6_->message;
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp8_ = g_strconcat ("Couldn't load icon. Error: ", _tmp7_, NULL);
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp9_ = _tmp8_;
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_warning ("icon-factory.vala:41: %s", _tmp9_);
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_g_free0 (_tmp9_);
#line 38 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_g_error_free0 (e);
#line 184 "icon-factory.c"
	}
	__finally31:
#line 38 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (_inner_error_ != NULL) {
#line 38 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 38 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_clear_error (&_inner_error_);
#line 38 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		return NULL;
#line 195 "icon-factory.c"
	}
	{
		GtkIconTheme* _tmp10_;
		gint _tmp11_;
		GtkIconLookupFlags _tmp12_;
		GdkPixbuf* _tmp13_ = NULL;
		GdkPixbuf* _tmp14_;
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp10_ = self->priv->_icon_theme;
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp11_ = size;
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp12_ = flags;
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp13_ = gtk_icon_theme_load_icon (_tmp10_, "image-missing", _tmp11_, _tmp12_, &_inner_error_);
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp14_ = _tmp13_;
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		if (_inner_error_ != NULL) {
#line 215 "icon-factory.c"
			goto __catch32_g_error;
		}
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		result = _tmp14_;
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		return result;
#line 222 "icon-factory.c"
	}
	goto __finally32;
	__catch32_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
		gchar* _tmp17_;
		gchar* _tmp18_;
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		e = _inner_error_;
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_inner_error_ = NULL;
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp15_ = e;
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp16_ = _tmp15_->message;
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp17_ = g_strconcat ("Couldn't load image-missing icon. Error: ", _tmp16_, NULL);
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp18_ = _tmp17_;
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_warning ("icon-factory.vala:48: %s", _tmp18_);
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_g_free0 (_tmp18_);
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_g_error_free0 (e);
#line 250 "icon-factory.c"
	}
	__finally32:
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (_inner_error_ != NULL) {
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_clear_error (&_inner_error_);
#line 45 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		return NULL;
#line 261 "icon-factory.c"
	}
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = NULL;
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 267 "icon-factory.c"
}


GtkIconInfo* icon_factory_lookup_icon (IconFactory* self, const gchar* icon_name, gint size, GtkIconLookupFlags flags) {
	GtkIconInfo* result = NULL;
	GtkIconTheme* _tmp0_;
	const gchar* _tmp1_;
	gint _tmp2_;
	GtkIconLookupFlags _tmp3_;
	GtkIconInfo* _tmp4_ = NULL;
	GtkIconInfo* icon_info;
	GtkIconInfo* _tmp5_ = NULL;
	GtkIconInfo* _tmp6_;
#line 55 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 55 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = self->priv->_icon_theme;
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = icon_name;
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp2_ = size;
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp3_ = flags;
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp4_ = gtk_icon_theme_lookup_icon (_tmp0_, _tmp1_, _tmp2_, _tmp3_);
#line 56 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	icon_info = _tmp4_;
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp6_ = icon_info;
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (_tmp6_ != NULL) {
#line 301 "icon-factory.c"
		GtkIconInfo* _tmp7_;
		GtkIconInfo* _tmp8_ = NULL;
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp7_ = icon_info;
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp8_ = gtk_icon_info_copy (_tmp7_);
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_gtk_icon_info_free0 (_tmp5_);
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp5_ = _tmp8_;
#line 312 "icon-factory.c"
	} else {
		GtkIconTheme* _tmp9_;
		gint _tmp10_;
		GtkIconLookupFlags _tmp11_;
		GtkIconInfo* _tmp12_ = NULL;
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp9_ = self->priv->_icon_theme;
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp10_ = size;
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp11_ = flags;
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp12_ = gtk_icon_theme_lookup_icon (_tmp9_, "image-missing", _tmp10_, _tmp11_);
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_gtk_icon_info_free0 (_tmp5_);
#line 58 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp5_ = _tmp12_;
#line 330 "icon-factory.c"
	}
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp5_;
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_gtk_icon_info_free0 (icon_info);
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 338 "icon-factory.c"
}


static IconFactory* icon_factory_construct (GType object_type) {
	IconFactory* self = NULL;
	GtkIconTheme* _tmp0_ = NULL;
	GtkIconTheme* _tmp1_;
	GearyApplication* _tmp2_;
	GearyApplication* _tmp3_;
	GFile* _tmp4_ = NULL;
	GFile* _tmp5_;
	GFile* _tmp6_ = NULL;
	GFile* _tmp7_;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_;
	GdkPixbuf* _tmp10_ = NULL;
	GdkPixbuf* _tmp11_;
	GdkPixbuf* _tmp12_ = NULL;
	GdkPixbuf* _tmp13_;
	GdkPixbuf* _tmp14_ = NULL;
	GdkPixbuf* _tmp15_;
	GdkPixbuf* _tmp16_ = NULL;
	GdkPixbuf* _tmp17_;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self = (IconFactory*) g_type_create_instance (object_type);
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = gtk_icon_theme_get_default ();
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	icon_factory_set_icon_theme (self, _tmp0_);
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = self->priv->_icon_theme;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp2_ = geary_application_get_instance ();
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp3_ = _tmp2_;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp4_ = geary_application_get_resource_directory (_tmp3_);
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp5_ = _tmp4_;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp6_ = g_file_get_child (_tmp5_, "icons");
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp7_ = _tmp6_;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp8_ = g_file_get_path (_tmp7_);
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp9_ = _tmp8_;
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	gtk_icon_theme_append_search_path (_tmp1_, _tmp9_);
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_free0 (_tmp9_);
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (_tmp7_);
#line 64 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (_tmp5_);
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp10_ = icon_factory_load (self, "mail-unread", ICON_FACTORY_UNREAD_ICON_SIZE, 0);
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp11_ = _tmp10_;
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	icon_factory_set_unread (self, _tmp11_);
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (_tmp11_);
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp12_ = icon_factory_load (self, "starred", ICON_FACTORY_STAR_ICON_SIZE, 0);
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp13_ = _tmp12_;
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	icon_factory_set_starred (self, _tmp13_);
#line 69 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (_tmp13_);
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp14_ = icon_factory_load (self, "non-starred-grey", ICON_FACTORY_STAR_ICON_SIZE, 0);
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp15_ = _tmp14_;
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	icon_factory_set_unstarred (self, _tmp15_);
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (_tmp15_);
#line 71 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp16_ = icon_factory_load (self, "geary", ICON_FACTORY_GEARY_ICON_SIZE, 0);
#line 71 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp17_ = _tmp16_;
#line 71 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	icon_factory_set_geary (self, _tmp17_);
#line 71 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (_tmp17_);
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return self;
#line 428 "icon-factory.c"
}


static IconFactory* icon_factory_new (void) {
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return icon_factory_construct (TYPE_ICON_FACTORY);
#line 435 "icon-factory.c"
}


IconFactory* icon_factory_get_instance (void) {
	IconFactory* result;
	IconFactory* _tmp0_;
	IconFactory* _tmp2_;
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = icon_factory__instance;
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (_tmp0_ == NULL) {
#line 447 "icon-factory.c"
		IconFactory* _tmp1_;
#line 13 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_tmp1_ = icon_factory_new ();
#line 13 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		_icon_factory_unref0 (icon_factory__instance);
#line 13 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		icon_factory__instance = _tmp1_;
#line 455 "icon-factory.c"
	}
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp2_ = icon_factory__instance;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp2_;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 463 "icon-factory.c"
}


static gpointer _icon_factory_ref0 (gpointer self) {
#line 18 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return self ? icon_factory_ref (self) : NULL;
#line 470 "icon-factory.c"
}


static void icon_factory_set_instance (IconFactory* value) {
	IconFactory* _tmp0_;
	IconFactory* _tmp1_;
#line 18 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = value;
#line 18 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = _icon_factory_ref0 (_tmp0_);
#line 18 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_icon_factory_unref0 (icon_factory__instance);
#line 18 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	icon_factory__instance = _tmp1_;
#line 485 "icon-factory.c"
}


GdkPixbuf* icon_factory_get_unread (IconFactory* self) {
	GdkPixbuf* result;
	GdkPixbuf* _tmp0_;
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = self->priv->_unread;
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp0_;
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 500 "icon-factory.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return self ? g_object_ref (self) : NULL;
#line 507 "icon-factory.c"
}


static void icon_factory_set_unread (IconFactory* self, GdkPixbuf* value) {
	GdkPixbuf* _tmp0_;
	GdkPixbuf* _tmp1_;
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = value;
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_unread);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_unread = _tmp1_;
#line 524 "icon-factory.c"
}


GdkPixbuf* icon_factory_get_starred (IconFactory* self) {
	GdkPixbuf* result;
	GdkPixbuf* _tmp0_;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = self->priv->_starred;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp0_;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 539 "icon-factory.c"
}


static void icon_factory_set_starred (IconFactory* self, GdkPixbuf* value) {
	GdkPixbuf* _tmp0_;
	GdkPixbuf* _tmp1_;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = value;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_starred);
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_starred = _tmp1_;
#line 556 "icon-factory.c"
}


GdkPixbuf* icon_factory_get_unstarred (IconFactory* self) {
	GdkPixbuf* result;
	GdkPixbuf* _tmp0_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = self->priv->_unstarred;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp0_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 571 "icon-factory.c"
}


static void icon_factory_set_unstarred (IconFactory* self, GdkPixbuf* value) {
	GdkPixbuf* _tmp0_;
	GdkPixbuf* _tmp1_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = value;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_unstarred);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_unstarred = _tmp1_;
#line 588 "icon-factory.c"
}


GdkPixbuf* icon_factory_get_geary (IconFactory* self) {
	GdkPixbuf* result;
	GdkPixbuf* _tmp0_;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = self->priv->_geary;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp0_;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 603 "icon-factory.c"
}


static void icon_factory_set_geary (IconFactory* self, GdkPixbuf* value) {
	GdkPixbuf* _tmp0_;
	GdkPixbuf* _tmp1_;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = value;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_geary);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_geary = _tmp1_;
#line 620 "icon-factory.c"
}


GThemedIcon* icon_factory_get_label_icon (IconFactory* self) {
	GThemedIcon* result;
	GThemedIcon* _tmp0_;
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = self->priv->_label_icon;
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp0_;
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 635 "icon-factory.c"
}


static void icon_factory_set_label_icon (IconFactory* self, GThemedIcon* value) {
	GThemedIcon* _tmp0_;
	GThemedIcon* _tmp1_;
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = value;
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_label_icon);
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_label_icon = _tmp1_;
#line 652 "icon-factory.c"
}


GThemedIcon* icon_factory_get_label_folder_icon (IconFactory* self) {
	GThemedIcon* result;
	GThemedIcon* _tmp0_;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = self->priv->_label_folder_icon;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp0_;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 667 "icon-factory.c"
}


static void icon_factory_set_label_folder_icon (IconFactory* self, GThemedIcon* value) {
	GThemedIcon* _tmp0_;
	GThemedIcon* _tmp1_;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = value;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_label_folder_icon);
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_label_folder_icon = _tmp1_;
#line 684 "icon-factory.c"
}


static GtkIconTheme* icon_factory_get_icon_theme (IconFactory* self) {
	GtkIconTheme* result;
	GtkIconTheme* _tmp0_;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = self->priv->_icon_theme;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	result = _tmp0_;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return result;
#line 699 "icon-factory.c"
}


static void icon_factory_set_icon_theme (IconFactory* self, GtkIconTheme* value) {
	GtkIconTheme* _tmp0_;
	GtkIconTheme* _tmp1_;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = value;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_icon_theme);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_icon_theme = _tmp1_;
#line 716 "icon-factory.c"
}


static void value_icon_factory_init (GValue* value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	value->data[0].v_pointer = NULL;
#line 723 "icon-factory.c"
}


static void value_icon_factory_free_value (GValue* value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (value->data[0].v_pointer) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		icon_factory_unref (value->data[0].v_pointer);
#line 732 "icon-factory.c"
	}
}


static void value_icon_factory_copy_value (const GValue* src_value, GValue* dest_value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (src_value->data[0].v_pointer) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		dest_value->data[0].v_pointer = icon_factory_ref (src_value->data[0].v_pointer);
#line 742 "icon-factory.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		dest_value->data[0].v_pointer = NULL;
#line 746 "icon-factory.c"
	}
}


static gpointer value_icon_factory_peek_pointer (const GValue* value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return value->data[0].v_pointer;
#line 754 "icon-factory.c"
}


static gchar* value_icon_factory_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (collect_values[0].v_pointer) {
#line 761 "icon-factory.c"
		IconFactory* object;
		object = collect_values[0].v_pointer;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		if (object->parent_instance.g_class == NULL) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 768 "icon-factory.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 772 "icon-factory.c"
		}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		value->data[0].v_pointer = icon_factory_ref (object);
#line 776 "icon-factory.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		value->data[0].v_pointer = NULL;
#line 780 "icon-factory.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return NULL;
#line 784 "icon-factory.c"
}


static gchar* value_icon_factory_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	IconFactory** object_p;
	object_p = collect_values[0].v_pointer;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (!object_p) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 795 "icon-factory.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (!value->data[0].v_pointer) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		*object_p = NULL;
#line 801 "icon-factory.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		*object_p = value->data[0].v_pointer;
#line 805 "icon-factory.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		*object_p = icon_factory_ref (value->data[0].v_pointer);
#line 809 "icon-factory.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return NULL;
#line 813 "icon-factory.c"
}


GParamSpec* param_spec_icon_factory (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecIconFactory* spec;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_ICON_FACTORY), NULL);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return G_PARAM_SPEC (spec);
#line 827 "icon-factory.c"
}


gpointer value_get_icon_factory (const GValue* value) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_ICON_FACTORY), NULL);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return value->data[0].v_pointer;
#line 836 "icon-factory.c"
}


void value_set_icon_factory (GValue* value, gpointer v_object) {
	IconFactory* old;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_ICON_FACTORY));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	old = value->data[0].v_pointer;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (v_object) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_ICON_FACTORY));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		value->data[0].v_pointer = v_object;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		icon_factory_ref (value->data[0].v_pointer);
#line 856 "icon-factory.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		value->data[0].v_pointer = NULL;
#line 860 "icon-factory.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (old) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		icon_factory_unref (old);
#line 866 "icon-factory.c"
	}
}


void value_take_icon_factory (GValue* value, gpointer v_object) {
	IconFactory* old;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_ICON_FACTORY));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	old = value->data[0].v_pointer;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (v_object) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_ICON_FACTORY));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		value->data[0].v_pointer = v_object;
#line 885 "icon-factory.c"
	} else {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		value->data[0].v_pointer = NULL;
#line 889 "icon-factory.c"
	}
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (old) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		icon_factory_unref (old);
#line 895 "icon-factory.c"
	}
}


static void icon_factory_class_init (IconFactoryClass * klass) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	icon_factory_parent_class = g_type_class_peek_parent (klass);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	ICON_FACTORY_CLASS (klass)->finalize = icon_factory_finalize;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_type_class_add_private (klass, sizeof (IconFactoryPrivate));
#line 907 "icon-factory.c"
}


static void icon_factory_instance_init (IconFactory * self) {
	GThemedIcon* _tmp0_;
	GThemedIcon* _tmp1_;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv = ICON_FACTORY_GET_PRIVATE (self);
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp0_ = (GThemedIcon*) g_themed_icon_new ("one-tag");
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_label_icon = _tmp0_;
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_tmp1_ = (GThemedIcon*) g_themed_icon_new ("multiple-tags");
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->priv->_label_folder_icon = _tmp1_;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self->ref_count = 1;
#line 926 "icon-factory.c"
}


static void icon_factory_finalize (IconFactory* obj) {
	IconFactory * self;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_ICON_FACTORY, IconFactory);
#line 22 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_unread);
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_starred);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_unstarred);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_geary);
#line 31 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_label_icon);
#line 32 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_label_folder_icon);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	_g_object_unref0 (self->priv->_icon_theme);
#line 948 "icon-factory.c"
}


GType icon_factory_get_type (void) {
	static volatile gsize icon_factory_type_id__volatile = 0;
	if (g_once_init_enter (&icon_factory_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_icon_factory_init, value_icon_factory_free_value, value_icon_factory_copy_value, value_icon_factory_peek_pointer, "p", value_icon_factory_collect_value, "p", value_icon_factory_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (IconFactoryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) icon_factory_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (IconFactory), 0, (GInstanceInitFunc) icon_factory_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType icon_factory_type_id;
		icon_factory_type_id = g_type_register_fundamental (g_type_fundamental_next (), "IconFactory", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&icon_factory_type_id__volatile, icon_factory_type_id);
	}
	return icon_factory_type_id__volatile;
}


gpointer icon_factory_ref (gpointer instance) {
	IconFactory* self;
	self = instance;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	g_atomic_int_inc (&self->ref_count);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	return instance;
#line 973 "icon-factory.c"
}


void icon_factory_unref (gpointer instance) {
	IconFactory* self;
	self = instance;
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		ICON_FACTORY_GET_CLASS (self)->finalize (self);
#line 8 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/ui/icon-factory.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 986 "icon-factory.c"
	}
}



