/* util-keyring.c generated by valac 0.17.4, the Vala compiler
 * generated from util-keyring.vala, do not modify */

/* Copyright 2011-2012 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution. 
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include "geary-static.h"
#include <gnome-keyring.h>

#define _g_free0(var) (var = (g_free (var), NULL))



#define GEARY_USERNAME_PREFIX "org.yorba.geary username:"
gboolean keyring_save_password (GearyCredentials* credentials);
void keyring_delete_password (const gchar* username);
gchar* keyring_get_password (const gchar* username);


gboolean keyring_save_password (GearyCredentials* credentials) {
	gboolean result = FALSE;
	GearyCredentials* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* name;
	GnomeKeyringPasswordSchema* _tmp4_;
	GearyCredentials* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	GnomeKeyringResult _tmp8_ = 0;
	GnomeKeyringResult _result_;
#line 9 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	g_return_val_if_fail (GEARY_IS_CREDENTIALS (credentials), FALSE);
#line 10 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp0_ = credentials;
#line 10 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp1_ = geary_credentials_get_user (_tmp0_);
#line 10 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp2_ = _tmp1_;
#line 10 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp3_ = g_strconcat (GEARY_USERNAME_PREFIX, _tmp2_, NULL);
#line 10 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	name = _tmp3_;
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp4_ = GNOME_KEYRING_NETWORK_PASSWORD;
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp5_ = credentials;
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp6_ = geary_credentials_get_pass (_tmp5_);
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp7_ = _tmp6_;
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp8_ = gnome_keyring_store_password_sync (_tmp4_, NULL, name, _tmp7_, "user", name, NULL);
#line 12 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_result_ = _tmp8_;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	result = _result_ == GNOME_KEYRING_RESULT_OK;
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_g_free0 (name);
#line 15 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	return result;
#line 71 "util-keyring.c"
}


void keyring_delete_password (const gchar* username) {
	GnomeKeyringPasswordSchema* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 18 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	g_return_if_fail (username != NULL);
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp0_ = GNOME_KEYRING_NETWORK_PASSWORD;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp1_ = username;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp2_ = g_strconcat (GEARY_USERNAME_PREFIX, _tmp1_, NULL);
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp3_ = _tmp2_;
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	gnome_keyring_delete_password_sync (_tmp0_, "user", _tmp3_, NULL);
#line 19 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_g_free0 (_tmp3_);
#line 94 "util-keyring.c"
}


gchar* keyring_get_password (const gchar* username) {
	gchar* result = NULL;
	gchar* password = NULL;
	GnomeKeyringPasswordSchema* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_ = NULL;
	GnomeKeyringResult _tmp5_ = 0;
	gchar* _tmp6_;
	GnomeKeyringResult _tmp7_;
	GnomeKeyringResult res;
	const gchar* _tmp8_ = NULL;
	GnomeKeyringResult _tmp9_;
	const gchar* _tmp11_;
	gchar* _tmp12_;
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	g_return_val_if_fail (username != NULL, NULL);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp0_ = GNOME_KEYRING_NETWORK_PASSWORD;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp1_ = username;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp2_ = g_strconcat (GEARY_USERNAME_PREFIX, _tmp1_, NULL);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp3_ = _tmp2_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp5_ = gnome_keyring_find_password_sync (_tmp0_, &_tmp4_, "user", _tmp3_, NULL);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_g_free0 (password);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp6_ = g_strdup (_tmp4_);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	password = _tmp6_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp7_ = _tmp5_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_g_free0 (_tmp3_);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	res = _tmp7_;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp9_ = res;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	if (_tmp9_ == GNOME_KEYRING_RESULT_OK) {
#line 142 "util-keyring.c"
		const gchar* _tmp10_;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
		_tmp10_ = password;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
		_tmp8_ = _tmp10_;
#line 148 "util-keyring.c"
	} else {
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
		_tmp8_ = NULL;
#line 152 "util-keyring.c"
	}
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp11_ = _tmp8_;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_tmp12_ = g_strdup (_tmp11_);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	result = _tmp12_;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	_g_free0 (password);
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/client/util/util-keyring.vala"
	return result;
#line 164 "util-keyring.c"
}



