/* geary-endpoint.c generated by valac 0.17.4, the Vala compiler
 * generated from geary-endpoint.vala, do not modify */

/* Copyright 2011-2012 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution. 
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>


#define GEARY_TYPE_ENDPOINT (geary_endpoint_get_type ())
#define GEARY_ENDPOINT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GEARY_TYPE_ENDPOINT, GearyEndpoint))
#define GEARY_ENDPOINT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GEARY_TYPE_ENDPOINT, GearyEndpointClass))
#define GEARY_IS_ENDPOINT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GEARY_TYPE_ENDPOINT))
#define GEARY_IS_ENDPOINT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GEARY_TYPE_ENDPOINT))
#define GEARY_ENDPOINT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GEARY_TYPE_ENDPOINT, GearyEndpointClass))

typedef struct _GearyEndpoint GearyEndpoint;
typedef struct _GearyEndpointClass GearyEndpointClass;
typedef struct _GearyEndpointPrivate GearyEndpointPrivate;

#define GEARY_ENDPOINT_TYPE_FLAGS (geary_endpoint_flags_get_type ())
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _GearyEndpointConnectAsyncData GearyEndpointConnectAsyncData;

struct _GearyEndpoint {
	GObject parent_instance;
	GearyEndpointPrivate * priv;
};

struct _GearyEndpointClass {
	GObjectClass parent_class;
};

typedef enum  {
	GEARY_ENDPOINT_FLAGS_NONE = 0,
	GEARY_ENDPOINT_FLAGS_SSL = 1 << 0,
	GEARY_ENDPOINT_FLAGS_STARTTLS = 1 << 1,
	GEARY_ENDPOINT_FLAGS_GRACEFUL_DISCONNECT = 1 << 2
} GearyEndpointFlags;

struct _GearyEndpointPrivate {
	gchar* _host_specifier;
	guint16 _default_port;
	GearyEndpointFlags _flags;
	guint _timeout_sec;
	GSocketClient* socket_client;
};

struct _GearyEndpointConnectAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	GearyEndpoint* self;
	GCancellable* cancellable;
	GSocketConnection* result;
	GSocketClient* _tmp0_;
	GSocketClient* _tmp1_;
	const gchar* _tmp2_;
	guint16 _tmp3_;
	GCancellable* _tmp4_;
	GSocketConnection* _tmp5_;
	GSocketConnection* _tmp6_;
	GSocketConnection* cx;
	GTcpConnection* _tmp7_;
	GTcpConnection* tcp;
	GTcpConnection* _tmp8_;
	GTcpConnection* _tmp9_;
	GearyEndpointFlags _tmp10_;
	gboolean _tmp11_;
	GError * _inner_error_;
};


static gpointer geary_endpoint_parent_class = NULL;

GType geary_endpoint_get_type (void) G_GNUC_CONST;
GType geary_endpoint_flags_get_type (void) G_GNUC_CONST;
#define GEARY_ENDPOINT_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GEARY_TYPE_ENDPOINT, GearyEndpointPrivate))
enum  {
	GEARY_ENDPOINT_DUMMY_PROPERTY,
	GEARY_ENDPOINT_HOST_SPECIFIER,
	GEARY_ENDPOINT_FLAGS,
	GEARY_ENDPOINT_TIMEOUT_SEC,
	GEARY_ENDPOINT_IS_SSL,
	GEARY_ENDPOINT_USE_STARTTLS
};
gboolean geary_endpoint_flags_is_all_set (GearyEndpointFlags self, GearyEndpointFlags flags);
gboolean geary_endpoint_flags_is_any_set (GearyEndpointFlags self, GearyEndpointFlags flags);
GearyEndpoint* geary_endpoint_new (const gchar* host_specifier, guint16 default_port, GearyEndpointFlags flags, guint timeout_sec);
GearyEndpoint* geary_endpoint_construct (GType object_type, const gchar* host_specifier, guint16 default_port, GearyEndpointFlags flags, guint timeout_sec);
static void geary_endpoint_set_host_specifier (GearyEndpoint* self, const gchar* value);
static void geary_endpoint_set_default_port (GearyEndpoint* self, guint16 value);
static void geary_endpoint_set_flags (GearyEndpoint* self, GearyEndpointFlags value);
static void geary_endpoint_set_timeout_sec (GearyEndpoint* self, guint value);
GSocketClient* geary_endpoint_get_socket_client (GearyEndpoint* self);
GearyEndpointFlags geary_endpoint_get_flags (GearyEndpoint* self);
guint geary_endpoint_get_timeout_sec (GearyEndpoint* self);
static void geary_endpoint_connect_async_data_free (gpointer _data);
void geary_endpoint_connect_async (GearyEndpoint* self, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_);
GSocketConnection* geary_endpoint_connect_finish (GearyEndpoint* self, GAsyncResult* _res_, GError** error);
static gboolean geary_endpoint_connect_async_co (GearyEndpointConnectAsyncData* _data_);
const gchar* geary_endpoint_get_host_specifier (GearyEndpoint* self);
guint16 geary_endpoint_get_default_port (GearyEndpoint* self);
static void geary_endpoint_connect_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
gchar* geary_endpoint_to_string (GearyEndpoint* self);
gboolean geary_endpoint_get_is_ssl (GearyEndpoint* self);
gboolean geary_endpoint_get_use_starttls (GearyEndpoint* self);
static void geary_endpoint_finalize (GObject* obj);
static void _vala_geary_endpoint_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_geary_endpoint_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


inline gboolean geary_endpoint_flags_is_all_set (GearyEndpointFlags self, GearyEndpointFlags flags) {
	gboolean result = FALSE;
	GearyEndpointFlags _tmp0_;
	GearyEndpointFlags _tmp1_;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = flags;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp1_ = flags;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = (self & _tmp0_) == _tmp1_;
#line 16 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 135 "geary-endpoint.c"
}


inline gboolean geary_endpoint_flags_is_any_set (GearyEndpointFlags self, GearyEndpointFlags flags) {
	gboolean result = FALSE;
	GearyEndpointFlags _tmp0_;
#line 20 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = flags;
#line 20 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = (self & _tmp0_) != 0;
#line 20 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 148 "geary-endpoint.c"
}


GType geary_endpoint_flags_get_type (void) {
	static volatile gsize geary_endpoint_flags_type_id__volatile = 0;
	if (g_once_init_enter (&geary_endpoint_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{GEARY_ENDPOINT_FLAGS_NONE, "GEARY_ENDPOINT_FLAGS_NONE", "none"}, {GEARY_ENDPOINT_FLAGS_SSL, "GEARY_ENDPOINT_FLAGS_SSL", "ssl"}, {GEARY_ENDPOINT_FLAGS_STARTTLS, "GEARY_ENDPOINT_FLAGS_STARTTLS", "starttls"}, {GEARY_ENDPOINT_FLAGS_GRACEFUL_DISCONNECT, "GEARY_ENDPOINT_FLAGS_GRACEFUL_DISCONNECT", "graceful-disconnect"}, {0, NULL, NULL}};
		GType geary_endpoint_flags_type_id;
		geary_endpoint_flags_type_id = g_flags_register_static ("GearyEndpointFlags", values);
		g_once_init_leave (&geary_endpoint_flags_type_id__volatile, geary_endpoint_flags_type_id);
	}
	return geary_endpoint_flags_type_id__volatile;
}


GearyEndpoint* geary_endpoint_construct (GType object_type, const gchar* host_specifier, guint16 default_port, GearyEndpointFlags flags, guint timeout_sec) {
	GearyEndpoint * self = NULL;
	const gchar* _tmp0_;
	guint16 _tmp1_;
	GearyEndpointFlags _tmp2_;
	guint _tmp3_;
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (host_specifier != NULL, NULL);
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self = (GearyEndpoint*) g_object_new (object_type, NULL);
#line 40 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = host_specifier;
#line 40 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	geary_endpoint_set_host_specifier (self, _tmp0_);
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp1_ = default_port;
#line 41 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	geary_endpoint_set_default_port (self, _tmp1_);
#line 42 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp2_ = flags;
#line 42 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	geary_endpoint_set_flags (self, _tmp2_);
#line 43 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp3_ = timeout_sec;
#line 43 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	geary_endpoint_set_timeout_sec (self, _tmp3_);
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return self;
#line 192 "geary-endpoint.c"
}


GearyEndpoint* geary_endpoint_new (const gchar* host_specifier, guint16 default_port, GearyEndpointFlags flags, guint timeout_sec) {
#line 39 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return geary_endpoint_construct (GEARY_TYPE_ENDPOINT, host_specifier, default_port, flags, timeout_sec);
#line 199 "geary-endpoint.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return self ? g_object_ref (self) : NULL;
#line 206 "geary-endpoint.c"
}


GSocketClient* geary_endpoint_get_socket_client (GearyEndpoint* self) {
	GSocketClient* result = NULL;
	GSocketClient* _tmp0_;
	GSocketClient* _tmp3_;
	GearyEndpointFlags _tmp4_;
	gboolean _tmp5_ = FALSE;
	GSocketClient* _tmp8_;
	guint _tmp9_;
	GSocketClient* _tmp10_;
	GSocketClient* _tmp11_;
#line 46 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (GEARY_IS_ENDPOINT (self), NULL);
#line 47 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = self->priv->socket_client;
#line 47 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	if (_tmp0_ != NULL) {
#line 226 "geary-endpoint.c"
		GSocketClient* _tmp1_;
		GSocketClient* _tmp2_;
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		_tmp1_ = self->priv->socket_client;
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		_tmp2_ = _g_object_ref0 (_tmp1_);
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		result = _tmp2_;
#line 48 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		return result;
#line 237 "geary-endpoint.c"
	}
#line 50 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp3_ = g_socket_client_new ();
#line 50 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (self->priv->socket_client);
#line 50 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self->priv->socket_client = _tmp3_;
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp4_ = self->priv->_flags;
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp5_ = geary_endpoint_flags_is_all_set (_tmp4_, GEARY_ENDPOINT_FLAGS_SSL);
#line 52 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	if (_tmp5_) {
#line 251 "geary-endpoint.c"
		GSocketClient* _tmp6_;
		GSocketClient* _tmp7_;
#line 53 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		_tmp6_ = self->priv->socket_client;
#line 53 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_socket_client_set_tls (_tmp6_, TRUE);
#line 54 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		_tmp7_ = self->priv->socket_client;
#line 54 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_socket_client_set_tls_validation_flags (_tmp7_, G_TLS_CERTIFICATE_UNKNOWN_CA);
#line 262 "geary-endpoint.c"
	}
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp8_ = self->priv->socket_client;
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp9_ = self->priv->_timeout_sec;
#line 57 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_socket_client_set_timeout (_tmp8_, _tmp9_);
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp10_ = self->priv->socket_client;
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp11_ = _g_object_ref0 (_tmp10_);
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _tmp11_;
#line 59 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 278 "geary-endpoint.c"
}


static void geary_endpoint_connect_async_data_free (gpointer _data) {
	GearyEndpointConnectAsyncData* _data_;
	_data_ = _data;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (_data_->cancellable);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (_data_->result);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (_data_->self);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_slice_free (GearyEndpointConnectAsyncData, _data_);
#line 293 "geary-endpoint.c"
}


void geary_endpoint_connect_async (GearyEndpoint* self, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	GearyEndpointConnectAsyncData* _data_;
	GearyEndpoint* _tmp0_;
	GCancellable* _tmp1_;
	GCancellable* _tmp2_;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_ = g_slice_new0 (GearyEndpointConnectAsyncData);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, geary_endpoint_connect_async);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, geary_endpoint_connect_async_data_free);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->self = _tmp0_;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp1_ = cancellable;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->cancellable = _tmp2_;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	geary_endpoint_connect_async_co (_data_);
#line 320 "geary-endpoint.c"
}


GSocketConnection* geary_endpoint_connect_finish (GearyEndpoint* self, GAsyncResult* _res_, GError** error) {
	GSocketConnection* result;
	GearyEndpointConnectAsyncData* _data_;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	if (g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (_res_), error)) {
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		return NULL;
#line 331 "geary-endpoint.c"
	}
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _data_->result;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->result = NULL;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 341 "geary-endpoint.c"
}


static void geary_endpoint_connect_async_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	GearyEndpointConnectAsyncData* _data_;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_ = _user_data_;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_source_object_ = source_object;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_res_ = _res_;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	geary_endpoint_connect_async_co (_data_);
#line 355 "geary-endpoint.c"
}


static gboolean geary_endpoint_connect_async_co (GearyEndpointConnectAsyncData* _data_) {
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	switch (_data_->_state_) {
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case 0:
#line 364 "geary-endpoint.c"
		goto _state_0;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case 1:
#line 368 "geary-endpoint.c"
		goto _state_1;
		default:
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_assert_not_reached ();
#line 373 "geary-endpoint.c"
	}
	_state_0:
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp0_ = NULL;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp0_ = geary_endpoint_get_socket_client (_data_->self);
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp1_ = _data_->_tmp0_;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp2_ = _data_->self->priv->_host_specifier;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp3_ = _data_->self->priv->_default_port;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp4_ = _data_->cancellable;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_state_ = 1;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_socket_client_connect_to_host_async (_data_->_tmp1_, _data_->_tmp2_, _data_->_tmp3_, _data_->_tmp4_, geary_endpoint_connect_async_ready, _data_);
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return FALSE;
#line 394 "geary-endpoint.c"
	_state_1:
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp5_ = NULL;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp5_ = g_socket_client_connect_to_host_finish (_data_->_tmp1_, _data_->_res_, &_data_->_inner_error_);
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (_data_->_tmp1_);
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->cx = _data_->_tmp6_;
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	if (_data_->_inner_error_ != NULL) {
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_error_free (_data_->_inner_error_);
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		if (_data_->_state_ == 0) {
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 416 "geary-endpoint.c"
		} else {
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 420 "geary-endpoint.c"
		}
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_object_unref (_data_->_async_result);
#line 63 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		return FALSE;
#line 426 "geary-endpoint.c"
	}
#line 66 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp7_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_data_->cx, g_tcp_connection_get_type ()) ? ((GTcpConnection*) _data_->cx) : NULL);
#line 66 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->tcp = _data_->_tmp7_;
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->_tmp8_ = _data_->tcp;
#line 67 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	if (_data_->_tmp8_ != NULL) {
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		_data_->_tmp9_ = _data_->tcp;
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		_data_->_tmp10_ = _data_->self->priv->_flags;
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		_data_->_tmp11_ = FALSE;
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		_data_->_tmp11_ = geary_endpoint_flags_is_all_set (_data_->_tmp10_, GEARY_ENDPOINT_FLAGS_GRACEFUL_DISCONNECT);
#line 68 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_tcp_connection_set_graceful_disconnect (_data_->_tmp9_, _data_->_tmp11_);
#line 446 "geary-endpoint.c"
	}
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_data_->result = _data_->cx;
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (_data_->tcp);
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	if (_data_->_state_ == 0) {
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 456 "geary-endpoint.c"
	} else {
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 460 "geary-endpoint.c"
	}
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_unref (_data_->_async_result);
#line 70 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return FALSE;
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (_data_->tcp);
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (_data_->cx);
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	if (_data_->_state_ == 0) {
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 474 "geary-endpoint.c"
	} else {
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 478 "geary-endpoint.c"
	}
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_unref (_data_->_async_result);
#line 62 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return FALSE;
#line 484 "geary-endpoint.c"
}


gchar* geary_endpoint_to_string (GearyEndpoint* self) {
	gchar* result = NULL;
	const gchar* _tmp0_;
	guint16 _tmp1_;
	gchar* _tmp2_ = NULL;
#line 73 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (GEARY_IS_ENDPOINT (self), NULL);
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = self->priv->_host_specifier;
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp1_ = self->priv->_default_port;
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp2_ = g_strdup_printf ("%s/default:%u", _tmp0_, (guint) _tmp1_);
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _tmp2_;
#line 74 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 505 "geary-endpoint.c"
}


const gchar* geary_endpoint_get_host_specifier (GearyEndpoint* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (GEARY_IS_ENDPOINT (self), NULL);
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = self->priv->_host_specifier;
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _tmp0_;
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 520 "geary-endpoint.c"
}


static void geary_endpoint_set_host_specifier (GearyEndpoint* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_if_fail (GEARY_IS_ENDPOINT (self));
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = value;
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_free0 (self->priv->_host_specifier);
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self->priv->_host_specifier = _tmp1_;
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_notify ((GObject *) self, "host-specifier");
#line 539 "geary-endpoint.c"
}


guint16 geary_endpoint_get_default_port (GearyEndpoint* self) {
	guint16 result;
	guint16 _tmp0_;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (GEARY_IS_ENDPOINT (self), 0U);
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = self->priv->_default_port;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _tmp0_;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 554 "geary-endpoint.c"
}


static void geary_endpoint_set_default_port (GearyEndpoint* self, guint16 value) {
	guint16 _tmp0_;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_if_fail (GEARY_IS_ENDPOINT (self));
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = value;
#line 25 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self->priv->_default_port = _tmp0_;
#line 566 "geary-endpoint.c"
}


GearyEndpointFlags geary_endpoint_get_flags (GearyEndpoint* self) {
	GearyEndpointFlags result;
	GearyEndpointFlags _tmp0_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (GEARY_IS_ENDPOINT (self), 0);
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = self->priv->_flags;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _tmp0_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 581 "geary-endpoint.c"
}


static void geary_endpoint_set_flags (GearyEndpoint* self, GearyEndpointFlags value) {
	GearyEndpointFlags _tmp0_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_if_fail (GEARY_IS_ENDPOINT (self));
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = value;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self->priv->_flags = _tmp0_;
#line 26 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_notify ((GObject *) self, "flags");
#line 595 "geary-endpoint.c"
}


guint geary_endpoint_get_timeout_sec (GearyEndpoint* self) {
	guint result;
	guint _tmp0_;
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (GEARY_IS_ENDPOINT (self), 0U);
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = self->priv->_timeout_sec;
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _tmp0_;
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 610 "geary-endpoint.c"
}


static void geary_endpoint_set_timeout_sec (GearyEndpoint* self, guint value) {
	guint _tmp0_;
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_if_fail (GEARY_IS_ENDPOINT (self));
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = value;
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self->priv->_timeout_sec = _tmp0_;
#line 27 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_notify ((GObject *) self, "timeout-sec");
#line 624 "geary-endpoint.c"
}


gboolean geary_endpoint_get_is_ssl (GearyEndpoint* self) {
	gboolean result;
	GearyEndpointFlags _tmp0_;
	gboolean _tmp1_ = FALSE;
#line 29 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (GEARY_IS_ENDPOINT (self), FALSE);
#line 30 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = self->priv->_flags;
#line 30 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp1_ = geary_endpoint_flags_is_all_set (_tmp0_, GEARY_ENDPOINT_FLAGS_SSL);
#line 30 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _tmp1_;
#line 30 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 642 "geary-endpoint.c"
}


gboolean geary_endpoint_get_use_starttls (GearyEndpoint* self) {
	gboolean result;
	GearyEndpointFlags _tmp0_;
	gboolean _tmp1_ = FALSE;
#line 33 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_return_val_if_fail (GEARY_IS_ENDPOINT (self), FALSE);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp0_ = self->priv->_flags;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_tmp1_ = geary_endpoint_flags_is_all_set (_tmp0_, GEARY_ENDPOINT_FLAGS_STARTTLS);
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	result = _tmp1_;
#line 34 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	return result;
#line 660 "geary-endpoint.c"
}


static void geary_endpoint_class_init (GearyEndpointClass * klass) {
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	geary_endpoint_parent_class = g_type_class_peek_parent (klass);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_type_class_add_private (klass, sizeof (GearyEndpointPrivate));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_geary_endpoint_get_property;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_geary_endpoint_set_property;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	G_OBJECT_CLASS (klass)->finalize = geary_endpoint_finalize;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GEARY_ENDPOINT_HOST_SPECIFIER, g_param_spec_string ("host-specifier", "host-specifier", "host-specifier", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GEARY_ENDPOINT_FLAGS, g_param_spec_flags ("flags", "flags", "flags", GEARY_ENDPOINT_TYPE_FLAGS, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GEARY_ENDPOINT_TIMEOUT_SEC, g_param_spec_uint ("timeout-sec", "timeout-sec", "timeout-sec", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GEARY_ENDPOINT_IS_SSL, g_param_spec_boolean ("is-ssl", "is-ssl", "is-ssl", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GEARY_ENDPOINT_USE_STARTTLS, g_param_spec_boolean ("use-starttls", "use-starttls", "use-starttls", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 685 "geary-endpoint.c"
}


static void geary_endpoint_instance_init (GearyEndpoint * self) {
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self->priv = GEARY_ENDPOINT_GET_PRIVATE (self);
#line 37 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self->priv->socket_client = NULL;
#line 694 "geary-endpoint.c"
}


static void geary_endpoint_finalize (GObject* obj) {
	GearyEndpoint * self;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, GEARY_TYPE_ENDPOINT, GearyEndpoint);
#line 24 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_free0 (self->priv->_host_specifier);
#line 37 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	_g_object_unref0 (self->priv->socket_client);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	G_OBJECT_CLASS (geary_endpoint_parent_class)->finalize (obj);
#line 708 "geary-endpoint.c"
}


GType geary_endpoint_get_type (void) {
	static volatile gsize geary_endpoint_type_id__volatile = 0;
	if (g_once_init_enter (&geary_endpoint_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (GearyEndpointClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) geary_endpoint_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (GearyEndpoint), 0, (GInstanceInitFunc) geary_endpoint_instance_init, NULL };
		GType geary_endpoint_type_id;
		geary_endpoint_type_id = g_type_register_static (G_TYPE_OBJECT, "GearyEndpoint", &g_define_type_info, 0);
		g_once_init_leave (&geary_endpoint_type_id__volatile, geary_endpoint_type_id);
	}
	return geary_endpoint_type_id__volatile;
}


static void _vala_geary_endpoint_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	GearyEndpoint * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GEARY_TYPE_ENDPOINT, GearyEndpoint);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	switch (property_id) {
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case GEARY_ENDPOINT_HOST_SPECIFIER:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_value_set_string (value, geary_endpoint_get_host_specifier (self));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case GEARY_ENDPOINT_FLAGS:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_value_set_flags (value, geary_endpoint_get_flags (self));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case GEARY_ENDPOINT_TIMEOUT_SEC:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_value_set_uint (value, geary_endpoint_get_timeout_sec (self));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case GEARY_ENDPOINT_IS_SSL:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_value_set_boolean (value, geary_endpoint_get_is_ssl (self));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case GEARY_ENDPOINT_USE_STARTTLS:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		g_value_set_boolean (value, geary_endpoint_get_use_starttls (self));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 759 "geary-endpoint.c"
		default:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 765 "geary-endpoint.c"
	}
}


static void _vala_geary_endpoint_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	GearyEndpoint * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GEARY_TYPE_ENDPOINT, GearyEndpoint);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
	switch (property_id) {
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case GEARY_ENDPOINT_HOST_SPECIFIER:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		geary_endpoint_set_host_specifier (self, g_value_get_string (value));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case GEARY_ENDPOINT_FLAGS:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		geary_endpoint_set_flags (self, g_value_get_flags (value));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		case GEARY_ENDPOINT_TIMEOUT_SEC:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		geary_endpoint_set_timeout_sec (self, g_value_get_uint (value));
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 793 "geary-endpoint.c"
		default:
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 7 "/tmp/RPM_BUILDDIR/geary-4ff24e0/src/engine/api/geary-endpoint.vala"
		break;
#line 799 "geary-endpoint.c"
	}
}



